/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/PrivilegeValidationService.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.nvpf.api.model;

import java.util.Set;

import com.netapp.nvpf.api.model.privilege.PrivilegeValidationRequest;
import com.netapp.nvpf.api.model.privilege.PrivilegeValidationResponse;
import com.netapp.nvpf.api.model.privilege.VSpherePrivilegeValidationResult;

public interface PrivilegeValidationService {
    
    /**
     * @see com.netapp.nvpf.subplugin.tools.vsphere.VSpherePrivilegeValidator#hasPrivilege(URL, String, String, String)
     */
    boolean hasPrivilege(String moref, String privilegeId) throws ApiException;
    
    /**
     * @see com.netapp.nvpf.subplugin.tools.vsphere.VSpherePrivilegeValidator#hasPrivileges(URL, String, String, String...)
     */
    VSpherePrivilegeValidationResult hasPrivileges(String moref, Set<String> privilegeIds) throws ApiException;

    /**
     * @see com.netapp.nvpf.subplugin.tools.vsphere.VSpherePrivilegeValidator#hasPrivilegeOnRootFolder(URL, String, String)
     */
    boolean hasPrivilegeOnRootFolder(String privilegeId) throws ApiException;
    
    /**
     * @see com.netapp.nvpf.subplugin.tools.vsphere.VSpherePrivilegeValidator#hasPrivilegesOnRootFolder(URL, String, String...)
     */
    VSpherePrivilegeValidationResult hasPrivilegesOnRootFolder(Set<String> privilegeIds) throws ApiException;
    
    /**
     * @see com.netapp.nvpf.subplugin.tools.vsphere.VSpherePrivilegeValidator#hasPrivileges(URL, String, PrivilegeValidationRequest)
     */
    PrivilegeValidationResponse hasPrivilegeOnEntities(PrivilegeValidationRequest validationRequest) throws ApiException;

}
