/*
 * $Id: //depot/prod/nvpf/snapstar/src/java/com/netapp/nvpf/api/model/backup/BackupComparator.java#1 $
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.backup;

import java.util.Comparator;

import com.netapp.nvpf.api.model.RequestQuery;


public class BackupComparator implements Comparator<Backup> {
    private RequestQuery requestQuery;

    public BackupComparator(RequestQuery requestQuery) {
        this.requestQuery = requestQuery;
    }

    @Override
    public int compare(Backup o1, Backup o2) {
        if (requestQuery.getSortedColumn() != null) {

            if (requestQuery.getSortedColumn().equals(BackupGridLabelEnum.NAME.toString())) {
                if (requestQuery.isAscending()) {
                    // Ascending
                    return o1.getName().compareToIgnoreCase(o2.getName());
                }
                else {
                    // descending
                    return o2.getName().compareToIgnoreCase(o1.getName());
                }
            }
            if (requestQuery.getSortedColumn().equals(BackupGridLabelEnum.ENDTIME.toString())) {
                if (requestQuery.isAscending()) {
                    // Ascending
                    return o1.getStartTime().compareTo(o2.getStartTime());
                }
                else {
                    // descending
                    return o2.getStartTime().compareTo(o1.getStartTime());
                }
            }
            if (requestQuery.getSortedColumn().equals(BackupGridLabelEnum.MOUNTED.toString())) {
                if (requestQuery.isAscending()) {
                    // Ascending
                    return Boolean.valueOf(o1.getMounted()).compareTo(Boolean.valueOf(o2.getMounted()));
                }
                else {
                    // descending
                    return Boolean.valueOf(o2.getMounted()).compareTo(Boolean.valueOf(o1.getMounted()));
                }
            }
            if (requestQuery.getSortedColumn().equals(BackupGridLabelEnum.VMSNAP.toString())) {
                if (requestQuery.isAscending()) {
                    // Ascending
                    return Boolean.valueOf(o1.isNoVmSnaps()).compareTo(Boolean.valueOf(o2.isNoVmSnaps()));
                }
                else {
                    // descending
                    return Boolean.valueOf(o2.isNoVmSnaps()).compareTo(Boolean.valueOf(o1.isNoVmSnaps()));
                }
            }
        }
        return 0;
    }   
}