/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/backup/BackupJob.java#1 $
 *
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 *
 */
package com.netapp.nvpf.api.model.backup;

import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.backup.configuration.EmailConfiguration;
@XmlRootElement
public class BackupJob extends ModelObject {

    private static final long serialVersionUID = 2233302863455166787L;
    private String jobname;
    ///We need a separate job ID here to keep the ID from SMVI
    //That is because, the have to store the job name in the 'id' field for some APIs to work
    private String jobId;
    private String jobdesc;
    private String lastRunStatus;
    private String jobStatus;
    private BackupRetention backupRetention;
    private String alerts;
    private Schedule schedule;
    private String name;
    private boolean includeIndependentDisks;
    private boolean updateMirror;
    private boolean updateVault;
    private boolean noVmSnaps;
    private Entity[] entities;
    private EmailConfiguration emailConfiguration;
    private String[] selectedScripts;
    private String[] excludeDatastores;
    private String vscServer;

    private BackupPolicy[] policies;
    // indicates whether it's an SMVI backup job or a Next-Gen backup job.
    // 0 - SMVI BackupJob and 1 - NextGen BackupJob
    private int version;
    private String username;
    private String password;
    private Boolean suspended;

    public BackupPolicy[] getPolicies() {
        return policies;
    }

    public void setPolicies(BackupPolicy[] policies) {
        this.policies = policies;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public EmailConfiguration getEmailConfiguration() {
        return emailConfiguration;
    }

    public void setEmailConfiguration(EmailConfiguration emailConfiguration) {
        this.emailConfiguration = emailConfiguration;
    }

    public Entity[] getEntities() {
        return entities;
    }

    public void setEntities(Entity[] entities) {
        this.entities = entities;
    }

    /**
     * @return the includeIndependentDisks
     */
    public boolean isIncludeIndependentDisks() {
        return includeIndependentDisks;
    }

    /**
     * @param includeIndependentDisks
     *            the includeIndependentDisks to set
     */
    public void setIncludeIndependentDisks(boolean includeIndependentDisks) {
        this.includeIndependentDisks = includeIndependentDisks;
    }

    /**
     * @return the updateMirror
     */
    public boolean isUpdateMirror() {
        return updateMirror;
    }

    /**
     * @param updateMirror
     *            the updateMirror to set
     */
    public void setUpdateMirror(boolean updateMirror) {
        this.updateMirror = updateMirror;
    }

    /**
     * @return the updateVault
     */
    public boolean isUpdateVault() {
        return updateVault;
    }

    /**
     * @param updateVault
     *            the updateVault to set
     */
    public void setUpdateVault(boolean updateVault) {
        this.updateVault = updateVault;
    }


    /**
     * @return the noVmSnaps
     */
    public boolean isNoVmSnaps() {
        return noVmSnaps;
    }

    /**
     * @param noVmSnaps
     *            the noVmSnaps to set
     */
    public void setNoVmSnaps(boolean noVmSnaps) {
        this.noVmSnaps = noVmSnaps;
    }

    public String getName() {
        this.name = jobname;
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getJobname() {
        return jobname;
    }

    public void setJobname(String jobname) {
        this.jobname = jobname;
    }

    public String getJobdesc() {
        return jobdesc;
    }

    public void setJobdesc(String jobdesc) {
        this.jobdesc = jobdesc;
    }

    public String getLastRunStatus() {
        return lastRunStatus;
    }

    public void setLastRunStatus(String lastRunStatus) {
        this.lastRunStatus = lastRunStatus;
    }

    public String getJobStatus() {
        return jobStatus;
    }

    public void setJobStatus(String jobStatus) {
        this.jobStatus = jobStatus;
    }

    public BackupRetention getBackupRetention() {
        return backupRetention;
    }

    public void setBackupRetention(BackupRetention backupRetention) {
        this.backupRetention = backupRetention;
    }

    public String getAlerts() {
        return alerts;
    }

    public void setAlerts(String alerts) {
        this.alerts = alerts;
    }

    public Schedule getSchedule() {
        return schedule;
    }

    public void setSchedule(Schedule schedule) {
        this.schedule = schedule;
    }

    public String[] getSelectedScripts() {
        return selectedScripts;
    }

    public void setSelectedScripts(String[] selectedScripts) {
        this.selectedScripts = selectedScripts;
    }

    public String[] getExcludeDatastores() {
        return excludeDatastores;
    }

    public void setExcludeDatastores(String[] excludeDatastores) {
        this.excludeDatastores = excludeDatastores;
    }

    public Boolean getSuspended() {
        return suspended;
    }

    public void setSuspended(Boolean suspended) {
        this.suspended = suspended;
    }

    public String getVscServer() {
        return vscServer;
    }

    public void setVscServer(String vscServer) {
        this.vscServer = vscServer;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }
}
