/*
 * $Id: $
 * 
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 * 
 */

package com.netapp.nvpf.api.model.backup;



import java.util.Arrays;

import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.nvpf.api.model.ModelObject;
@XmlRootElement
public class BackupLocations extends ModelObject implements Comparable<BackupLocations> {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    //Name or Moref
    private String datastoreString;
    //FORMAT: vserver_name:volume_path OR vserver_name:volume_path:secondary
    private String[] snapshotLocations;
    private String locationToMount;

    /**
     * @return the datastoreString
     */
    public String getDatastoreString() {
        return datastoreString;
    }

    /**
     * @param datastoreString the datastoreString to set
     */
    public void setDatastoreString(String datastoreString) {
        this.datastoreString = datastoreString;
    }

    /**
     * @return the snapshotLocations
     */
    public String[] getSnapshotLocations() {
        return snapshotLocations;
    }

    /**
     * @param snapshotLocations the snapshotLocations to set
     */
    public void setSnapshotLocations(String[] snapshotLocations) {
        this.snapshotLocations = snapshotLocations;
    }

    @Override
    public int compareTo(BackupLocations o) {
        return o.getDatastoreString().compareTo(getDatastoreString());
    }

    /**
     * @return the locationToMount
     */
    public String getLocationToMount() {
        return locationToMount;
    }
    
    /**
     * @param locationToMount the locationToMount to set
     */
    public void setLocationToMount(String locationToMount) {
        this.locationToMount = locationToMount;
    }

    @Override
    public int hashCode() {
        int result = 0;
        result += ((datastoreString == null) ? 0 : datastoreString.hashCode());
        result += ((snapshotLocations == null) ? 0 : Arrays.hashCode(snapshotLocations));
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        
        BackupLocations other = (BackupLocations) (obj);
        
        if (datastoreString == null) {
            if (other.getDatastoreString() != null) {
                return false;
            } 
        }
        else if (!datastoreString.equals(other.getDatastoreString())) {
            return false;
        }
        
        if (snapshotLocations == null) {
            if (other.getSnapshotLocations() != null) {
                return false;
            } 
        }
        else if (!Arrays.equals(other.getSnapshotLocations(), snapshotLocations)) {
            return false;
        }
        
        return true;
    }
   

}
