/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/backup/BackupPolicy.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.backup;

import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.nvpf.api.model.ModelObject;

@XmlRootElement
public class BackupPolicy extends ModelObject {

    private static final long serialVersionUID = -3269647097892211462L;
    private String name;
    private Schedule schedule;
    private int age;
    private int count;
    private String description;
    private boolean vmConsistent;
    private boolean includeIndependentDisks;
    private boolean applySnapmirrorUpdate;
    private boolean applySnapvaultUpdate;
    private String snapVaultLabel;
    private String[] selectedScripts;
    private String vcenterServerName;
    private int scriptTimeOut;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the schedule
     */
    public Schedule getSchedule() {
        return schedule;
    }

    /**
     * @param schedule the schedule to set
     */
    public void setSchedule(Schedule schedule) {
        this.schedule = schedule;
    }

    /**
     * @return the age
     */
    public int getAge() {
        return age;
    }

    /**
     * @param age the age to set
     */
    public void setAge(int age) {
        this.age = age;
    }

    /**
     * @return the count
     */
    public int getCount() {
        return count;
    }

    /**
     * @param count the count to set
     */
    public void setCount(int count) {
        this.count = count;
    }

    /**
     * @return the vmConsistent
     */
    public boolean isVmConsistent() {
        return this.vmConsistent;
    }

    /**
     * @param vmConsistent the vmConsistent to set
     */
    public void setVmConsistent(boolean vmConsistent) {
        this.vmConsistent = vmConsistent;
    }

    /**
     * @return the includeIndependentDisks
     */
    public boolean isIncludeIndependentDisks() {
        return this.includeIndependentDisks;
    }

    /**
     * @param includeIndependentDisks the includeIndependentDisks to set
     */
    public void setIncludeIndependentDisks(boolean includeIndependentDisks) {
        this.includeIndependentDisks = includeIndependentDisks;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the applySnapmirrorUpdate
     */
    public boolean isApplySnapmirrorUpdate() {
        return this.applySnapmirrorUpdate;
    }

    /**
     * @param applySnapmirrorUpdate the applySnapmirrorUpdate to set
     */
    public void setApplySnapmirrorUpdate(boolean applySnapmirrorUpdate) {
        this.applySnapmirrorUpdate = applySnapmirrorUpdate;
    }

    /**
     * @return the applySnapvaultUpdate
     */
    public boolean isApplySnapvaultUpdate() {
        return this.applySnapvaultUpdate;
    }

    /**
     * @param applySnapvaultUpdate the applySnapvaultUpdate to set
     */
    public void setApplySnapvaultUpdate(boolean applySnapvaultUpdate) {
        this.applySnapvaultUpdate = applySnapvaultUpdate;
    }

    /**
     * @return snapVaultLabel
     */
    public String getSnapVaultLabel() {
        return snapVaultLabel;
    }

    /**
     * @param snapVaultLabel the snapVaultLabel to set
     */
    public void setSnapVaultLabel(String snapVaultLabel) {
        this.snapVaultLabel = snapVaultLabel;
    }

    /**
     * @return selectedScripts
     */
    public String[] getSelectedScripts() {
        return selectedScripts;
    }

    /**
     * @param selectedScripts the selectedScripts to set
     */
    public void setSelectedScripts(String[] selectedScripts) {
        this.selectedScripts = selectedScripts;
    }

    /**
     * @return vCenterServerName
     */
    public String getVcenterServerName() {
        return vcenterServerName;
    }

    /**
     * @param vCenterServerName the vCenterServerName to set
     */
    public void setVcenterServerName(String vcenterServerName) {
        this.vcenterServerName = vcenterServerName;
    }

    /**
     * Overriding equals and hashcode method to compare backup policy
     */
    @Override
    public boolean equals(Object obj) {
        if (obj == null || !(obj instanceof BackupPolicy)) {
            return false;
        }
        BackupPolicy backupPolicy = (BackupPolicy) obj;
        //We compare the ID only if IDs are present
        //We policies are updated using REST APIs, we get only names.
        boolean idEquals = true;
        if (this.getId() != null && backupPolicy.getId() != null) {
            idEquals = this.getId().equals(backupPolicy.getId());
        }
        
        return (idEquals && this.getName().equals(backupPolicy.getName()));
    }

    @Override
    public int hashCode() {
        return getId().hashCode();
    }

    public int getScriptTimeOut() {
        return scriptTimeOut;
    }

    public void setScriptTimeOut(int scriptTimeOut) {
        this.scriptTimeOut = scriptTimeOut;
    }
}