/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/backup/BackupRequestFilter.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.backup;

import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.nvpf.api.model.ModelObject;

@XmlRootElement
public class BackupRequestFilter extends ModelObject {

    private static final long serialVersionUID = 3068781352969438083L;

    private String backupName;
    private String entityName;
    private Date startTime;
    private Date endTime;
    private Boolean mounted;
    private Boolean mountedForSFR;
    private Boolean vmSnaps;
    private int maxResultCount;
    private boolean includeNextGenMounted;
    private boolean includeSmviMounted;

    public void setMountedVal(String mounted) {
        if (mounted.equalsIgnoreCase("ALL")) {
            this.mounted = null;
        }
        else if (mounted.equalsIgnoreCase("YES")) {
            this.mounted = true;
        }
        else if (mounted.equalsIgnoreCase("NO")) {
            this.mounted = false;
        }
    }
    public String getMountedVal() {
        if (this.mounted == null) {
            return "ALL";
        }
        else if (this.mounted) {
            return "YES";
        }
        else {
            return "NO";
        }
    }
    public void setMountedForSFRVal(String mountedForSFR) {
        if (mountedForSFR.equalsIgnoreCase("ALL")) {
            this.mountedForSFR = null;
        }
        else if (mountedForSFR.equalsIgnoreCase("YES")) {
            this.mountedForSFR = true;
        }
        else if (mountedForSFR.equalsIgnoreCase("NO")) {
            this.mountedForSFR = false;
        }
    }
    public String getMountedForSFRVal() {
        if (this.mountedForSFR == null) {
            return "ALL";
        }
        else if (this.mountedForSFR) {
            return "YES";
        }
        else {
            return "NO";
        }
    }
    public void setVmSnapsVal(String vmSnaps) {
        if (vmSnaps.equalsIgnoreCase("ALL")) {
            this.vmSnaps = null;
        }
        else if (vmSnaps.equalsIgnoreCase("YES")) {
            this.vmSnaps = true;
        }
        else if (vmSnaps.equalsIgnoreCase("NO")) {
            this.vmSnaps = false;
        }
    }
    public String getVmSnapsVal() {
        if (this.vmSnaps == null) {
            return "ALL";
        }
        else if (this.vmSnaps) {
            return "YES";
        }
        else {
            return "NO";
        }
    }
    public int getMaxResultCount() {
        return maxResultCount;
    }
    public void setMaxResultCount(int maxResultCount) {
        this.maxResultCount = maxResultCount;
    }
    public Boolean getVmSnaps() {
        return vmSnaps;
    }
    public void setVmSnaps(Boolean vmSnaps) {
        this.vmSnaps = vmSnaps;
    }
    public String getBackupName() {
        return backupName;
    }
    public void setBackupName(String backupName) {
        this.backupName = backupName;
    }
    public String getEntityName() {
        return entityName;
    }
    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }
    public Date getStartTime() {
        return startTime;
    }
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    public Date getEndTime() {
        return endTime;
    }
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    public Boolean getMounted() {
        return mounted;
    }
    public void setMounted(Boolean mounted) {
        this.mounted = mounted;
    }
    public Boolean getMountedForSFR() {
        return mountedForSFR;
    }
    public void setMountedForSFR(Boolean mountedForSFR) {
        this.mountedForSFR = mountedForSFR;
    }
    /**
     * @return the includeNextGenMounted
     */
    public boolean isIncludeNextGenMounted() {
        return includeNextGenMounted;
    }
    /**
     * @param includeNextGenMounted the includeNextGenMounted to set
     */
    public void setIncludeNextGenMounted(boolean includeNextGenMounted) {
        this.includeNextGenMounted = includeNextGenMounted;
    }
    /**
     * @return the includeSmviMounted
     */
    public boolean isIncludeSmviMounted() {
        return includeSmviMounted;
    }
    /**
     * @param includeSmviMounted the includeSmviMounted to set
     */
    public void setIncludeSmviMounted(boolean includeSmviMounted) {
        this.includeSmviMounted = includeSmviMounted;
    }
}
