/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/backup/RestoreInfo.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.backup;

import java.util.HashMap;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.datastore.Datastore;
import com.netapp.nvpf.api.model.host.Host;
import com.netapp.nvpf.api.model.virtualmachine.VirtualMachine;

public class RestoreInfo extends ModelObject {

    private static final long serialVersionUID = -5635472510344402708L;
    
    private Backup backup;
    
    private String backupUuid;

    
    private String entityName;
    
    private String entityUuid;

    private String esxHostId;

    private String dataStoreId;

    private boolean includeRDM;
    
    private boolean restartVM;
    
    private boolean vmRestore;
    
    private boolean inPlaceNFSRestore;
    
    private VirtualMachine virtualMachine;
    
    private boolean virtualDisksOnly;
    
    private Datastore[] availableDatastores;
    
    private String[] virtualDisks;
    
    private Datastore[] destinationDatastores;
    
    private Host[] availableHosts;
    
    private HashMap<String, Boolean> registeredVMs = new HashMap<String, Boolean>();

    private HashMap<String, String> vmToMoref = new HashMap<String, String>();
    
    
    public void addVmRegistrationInfo(String vmUuid, Boolean b) {
        this.registeredVMs.put(vmUuid, b);
    }
    
    public Boolean getVmRegistrationInfo(String vmUuid) {
        return this.registeredVMs.get(vmUuid);
    }
    
    public void addVmToMoref(String vmName, String vmMoref) {
        this.vmToMoref.put(vmName, vmMoref);
    }
    
    public boolean isMorefAvailableForEntity() {
        return (this.vmToMoref.get(this.entityName) != null);
    }
    
    /**
     * @return the virtualDisks
     */
    public String[] getVirtualDisks() {
        return virtualDisks;
    }

    /**
     * @param virtualDisks the virtualDisks to set
     */
    public void setVirtualDisks(String[] virtualDisks) {
        this.virtualDisks = virtualDisks;
    }

    /**
     * @return the backup
     */
    public Backup getBackup() {
        return backup;
    }

    /**
     * @param backup the backup to set
     */
    public void setBackup(Backup backup) {
        this.backup = backup;
    }

    /**
     * @return the backupUuid
     */
    public String getBackupUuid() {
        return backupUuid;
    }

    /**
     * @param backupUuid the backupUuid to set
     */
    public void setBackupUuid(String backupUuid) {
        this.backupUuid = backupUuid;
    }

    /**
     * @return the entityName
     */
    public String getEntityName() {
        return entityName;
    }

    /**
     * @param entityName the entityName to set
     */
    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    /**
     * @return the entityUuid
     */
    public String getEntityUuid() {
        return entityUuid;
    }

    /**
     * @param entityUuid the entityUuid to set
     */
    public void setEntityUuid(String entityUuid) {
        this.entityUuid = entityUuid;
    }

    /**
     * @return the esxHostId
     */
    public String getEsxHostId() {
        return esxHostId;
    }

    /**
     * @param esxHostId the esxHostId to set
     */
    public void setEsxHostId(String esxHostId) {
        this.esxHostId = esxHostId;
    }

    /**
     * @return the dataStoreId
     */
    public String getDataStoreId() {
        return dataStoreId;
    }

    /**
     * @param dataStoreId the dataStoreId to set
     */
    public void setDataStoreId(String dataStoreId) {
        this.dataStoreId = dataStoreId;
    }

    /**
     * @return the includeRDM
     */
    public boolean isIncludeRDM() {
        return includeRDM;
    }

    /**
     * @param includeRDM the includeRDM to set
     */
    public void setIncludeRDM(boolean includeRDM) {
        this.includeRDM = includeRDM;
    }

    /**
     * @return the restartVM
     */
    public boolean isRestartVM() {
        return restartVM;
    }

    /**
     * @param restartVM the restartVM to set
     */
    public void setRestartVM(boolean restartVM) {
        this.restartVM = restartVM;
    }

    /**
     * @return the vmRestore
     */
    public boolean isVmRestore() {
        return vmRestore;
    }

    /**
     * @param vmRestore the vmRestore to set
     */
    public void setVmRestore(boolean vmRestore) {
        this.vmRestore = vmRestore;
    }
    
    /**
     * @return the inPlaceNFSRestore
     */
    public boolean isInPlaceNFSRestore() {
        return inPlaceNFSRestore;
    }

    /**
     * @param inPlaceNFSRestore the inPlaceNFSRestore to set
     */
    public void setInPlaceNFSRestore(boolean inPlaceNFSRestore) {
        this.inPlaceNFSRestore = inPlaceNFSRestore;
    }

    /**
     * @return the virtualMachine
     */
    public VirtualMachine getVirtualMachine() {
        return virtualMachine;
    }

    /**
     * @param virtualMachine the virtualMachine to set
     */
    public void setVirtualMachine(VirtualMachine virtualMachine) {
        this.virtualMachine = virtualMachine;
    }

    /**
     * @return the virtualDisksOnly
     */
    public boolean isVirtualDisksOnly() {
        return virtualDisksOnly;
    }

    /**
     * @param virtualDisksOnly the virtualDisksOnly to set
     */
    public void setVirtualDisksOnly(boolean virtualDisksOnly) {
        this.virtualDisksOnly = virtualDisksOnly;
    }

    /**
     * @return the availableDatastores
     */
    public Datastore[] getAvailableDatastores() {
        return availableDatastores;
    }

    /**
     * @param availableDatastores the availableDatastores to set
     */
    public void setAvailableDatastores(Datastore[] availableDatastores) {
        this.availableDatastores = availableDatastores;
    }

    

    /**
     * @return the destinationDatastores
     */
    public Datastore[] getDestinationDatastores() {
        return destinationDatastores;
    }

    /**
     * @param destinationDatastores the destinationDatastores to set
     */
    public void setDestinationDatastores(Datastore[] destinationDatastores) {
        this.destinationDatastores = destinationDatastores;
    }

    /**
     * @return the availableHosts
     */
    public Host[] getAvailableHosts() {
        return availableHosts;
    }

    /**
     * @param availableHosts the availableHosts to set
     */
    public void setAvailableHosts(Host[] availableHosts) {
        this.availableHosts = availableHosts;
    }
    
    /**
     * @return the registeredVMs
     */
    public HashMap<String, Boolean> getRegisteredVMs() {
        return registeredVMs;
    }

    /**
     * @param registeredVMs the registeredVMs to set
     */
    public void setRegisteredVMs(HashMap<String, Boolean> registeredVMs) {
        this.registeredVMs = registeredVMs;
    }
    
}