/*
 * $Id: $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.backup;

import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSeeAlso;

import com.netapp.nvpf.api.model.ModelObject;

@XmlRootElement
@XmlSeeAlso({DailySchedule.class, HourlySchedule.class, WeeklySchedule.class, MonthlySchedule.class, NoSchedule.class})
public abstract class Schedule extends ModelObject {
    
    private static final long serialVersionUID = 4393294619938822106L;
    
    private int startHour;
    private int startMinute;
    private Date startDate;
    private String type;
    
    /**
     * @return the type
     */
    public String getType() {
        type = getScheduleType().toString();
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the type
     */
    public abstract ScheduleTypeEnum getScheduleType();

    /**
     * @return the startHour
     */
    public int getStartHour() {
        return startHour;
    }
    /**
     * @param startHour the startHour to set
     */
    public void setStartHour(int startHour) {
        this.startHour = startHour;
    }
    /**
     * @return the startMinute
     */
    public int getStartMinute() {
        return startMinute;
    }
    /**
     * @param startMinute the startMinute to set
     */
    public void setStartMinute(int startMinute) {
        this.startMinute = startMinute;
    }
    /**
     * @return the startDate
     */
    public Date getStartDate() {
        return startDate;
    }
    /**
     * @param startDate the startDate to set
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
}