/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/backup/SpanningEntities.java#1 $
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.nvpf.api.model.backup;


import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.nvpf.api.model.ModelObject;

/**
 * Model object to contain a list of all excluded/included Datastore
 * morefs. The UI can generate 3 scenarios
 * 1. Always Exclude all spanning datastores
 * 2. Always include all spanning datastores
 * 3. Manually select datastores to include.
 * The above conditions are govered by  
 * Boolean excludeAllSpanningDatastores 
 * True covers case 1, false covers case 2 and 3.
 *
 */

@XmlRootElement
public class SpanningEntities extends ModelObject {

    private static final long serialVersionUID = 1L;
    boolean excludeAllSpanningDatastores;
    private String [] datastoreMorefs;
    private String includeExcludeAll;

    /**
     * @return the includeExcludeAll
     */
    public String getIncludeExcludeAll() {
        return includeExcludeAll;
    }

    /**
     * @param includeExcludeAll the includeExcludeAll to set
     */
    public void setIncludeExcludeAll(String includeExcludeAll) {
        this.includeExcludeAll = includeExcludeAll;
    }

    /**
     * @return the excludeAllSpanningDatastores
     */
    public boolean isExcludeAllSpanningDatastores() {
        return excludeAllSpanningDatastores;
    }

    /**
     * @param excludeAllSpanningDatastores the excludeAllSpanningDatastores to set
     */
    public void setExcludeAllSpanningDatastores(boolean excludeAllSpanningDatastores) {
        this.excludeAllSpanningDatastores = excludeAllSpanningDatastores;
    }

    /**
     * @return the excludedOrIncludedDatastoresMorefs
     */
    public String[] getDatastoreMorefs() {
        return datastoreMorefs;
    }

    /**
     * @param excludedOrIncludedDatastoresMorefs the excludedOrIncludedDatastoresMorefs to set
     */
    public void setDatastoreMorefs(String[] datastoreMorefs) {
        this.datastoreMorefs = datastoreMorefs;
    }
    
}
