/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/datastore/Datastore.java#1 $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore;

import java.util.Date;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.datastore.provisioning.ProvisioningTargetStoragePod;
import com.netapp.nvpf.api.model.storagesystem.Lun;
import com.netapp.nvpf.api.model.storagesystem.Volume;
import com.netapp.nvpf.api.model.virtualmachine.VirtualMachine;

public class Datastore extends ModelObject {
    
    private static final long serialVersionUID = -5945348445022577774L;

    private String name;
    private String mor;
    private String filerId;
    private String hostIp;
    private int vmfsMajorVersion;
    private String vmfsVersion;
    private Integer vmfsBlockSizeMB;
    private Volume volume;
    private Lun lun;
    private String protocol;
    private String datastoreType;
    private String clusterName;
    //Added fields those are related to the Datastore Operations
    private String controllerId; 
    private String datastoreName;
    private VirtualMachine[] virtualMachines;
    private String uuid;
    private boolean dedupeEnabled;
    private boolean excludedFromScan;
    private Boolean optimized;
    private Date lastScanned;
    private long totalSpace;
    private long freeSpace;
    private long freeSharedSpace;
    private ProvisioningTargetStoragePod provisioningTargetStoragePod;
    private boolean isMappedToQtreeWithQuota;
    private String[] datastoreNames;
    private int numberOfDatastores;
    private boolean thinProvision;
    private boolean autoGrow;
    private long growIncrement;
    private long maxGrowSize;
    private String containerName;
    private ProvisioningTargetStoragePod storagePod;
    private boolean wrapperVol;
    private String[] hostNames;
    private Integer datastoreOffsetGroup;
    private String location;
    private boolean partialBackup;

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location
     */
    public void setLocation(String location) {
        this.location = location;
    }

    
    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }
    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getMor() {
        return mor;
    }
    public void setMor(String mor) {
        this.mor = mor;
    }
    public String getFilerId() {
        return filerId;
    }
    public void setFilerId(String filerId) {
        this.filerId = filerId;
    }
    public String getHostIp() {
        return hostIp;
    }
    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }
    public int getVmfsMajorVersion() {
        return vmfsMajorVersion;
    }
    public void setVmfsMajorVersion(int vmfsMajorVersion) {
        this.vmfsMajorVersion = vmfsMajorVersion;
    }
    public String getVmfsVersion() {
        return vmfsVersion;
    }
    public void setVmfsVersion(String vmfsVersion) {
        this.vmfsVersion = vmfsVersion;
    }
    public Integer getVmfsBlockSizeMB() {
        return vmfsBlockSizeMB;
    }
    public void setVmfsBlockSizeMB(Integer vmfsBlockSizeMB) {
        this.vmfsBlockSizeMB = vmfsBlockSizeMB;
    }
    public Volume getVolume() {
        return volume;
    }
    public void setVolume(Volume volume) {
        this.volume = volume;
    }
    public Lun getLun() {
        return lun;
    }
    public void setLun(Lun lun) {
        this.lun = lun;
    }
    public synchronized String getProtocol() {
        return protocol;
    }
    public synchronized void setProtocol(String protocol) {
        this.protocol = protocol;
    }
    public synchronized String getDatastoreType() {
        return datastoreType;
    }
    public synchronized void setDatastoreType(String datastoreType) {
        this.datastoreType = datastoreType;
    }
    public String getClusterName() {
        return clusterName;
    }
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }
    public String getControllerId() {
        return controllerId;
    }
    public void setControllerId(String controllerId) {
        this.controllerId = controllerId;
    }
    public String getDatastoreName() {
        return datastoreName;
    }
    public void setDatastoreName(String datastoreName) {
        this.datastoreName = datastoreName;
    }
    
    
    /**
     * @return the dedupeEnabled
     */
    public boolean isDedupeEnabled() {
        return dedupeEnabled;
    }
    /**
     * @param dedupeEnabled the dedupeEnabled to set
     */
    public void setDedupeEnabled(boolean dedupeEnabled) {
        this.dedupeEnabled = dedupeEnabled;
    }
    public boolean isExcludedFromScan() {
        return excludedFromScan;
    }
    public void setExcludedFromScan(boolean excludedFromScan) {
        this.excludedFromScan = excludedFromScan;
    }
    public Date getLastScanned() {
        return lastScanned;
    }
    public void setLastScanned(Date lastScanned) {
        this.lastScanned = lastScanned;
    }
    public VirtualMachine[] getVirtualMachines() {
        return virtualMachines;
    }
    public void setVirtualMachines(VirtualMachine[] virtualMachines) {
        this.virtualMachines = virtualMachines;
    }
    public long getTotalSpace() {
        return totalSpace;
    }
    public void setTotalSpace(long totalSpace) {
        this.totalSpace = totalSpace;
    }
    public long getFreeSpace() {
        return freeSpace;
    }
    public void setFreeSpace(long freeSpace) {
        this.freeSpace = freeSpace;
    }
    public ProvisioningTargetStoragePod getProvisioningTargetStoragePod() {
        return provisioningTargetStoragePod;
    }
    public void setProvisioningTargetStoragePod(
            ProvisioningTargetStoragePod provisioningTargetStoragePod) {
        this.provisioningTargetStoragePod = provisioningTargetStoragePod;
    }
    public boolean isMappedToQtreeWithQuota() {
        return isMappedToQtreeWithQuota;
    }
    public void setMappedToQtreeWithQuota(boolean isMappedToQtreeWithQuota) {
        this.isMappedToQtreeWithQuota = isMappedToQtreeWithQuota;
    }
    public long getFreeSharedSpace() {
        return freeSharedSpace;
    }
    public void setFreeSharedSpace(long freeSharedSpace) {
        this.freeSharedSpace = freeSharedSpace;
    }
    /**
     * @return the datastoreNames
     */
    public String[] getDatastoreNames() {
        return datastoreNames;
    }
    /**
     * @param datastoreNames the datastoreNames to set
     */
    public void setDatastoreNames(String[] datastoreNames) {
        this.datastoreNames = datastoreNames;
    }
    /**
     * @return the numberOfDatastores
     */
    public int getNumberOfDatastores() {
        return numberOfDatastores;
    }
    /**
     * @param numberOfDatastores the numberOfDatastores to set
     */
    public void setNumberOfDatastores(int numberOfDatastores) {
        this.numberOfDatastores = numberOfDatastores;
    }
    /**
     * @return the thinProvision
     */
    public boolean isThinProvision() {
        return thinProvision;
    }
    /**
     * @param thinProvision the thinProvision to set
     */
    public void setThinProvision(boolean thinProvision) {
        this.thinProvision = thinProvision;
    }
    /**
     * @return the autoGrow
     */
    public boolean isAutoGrow() {
        return autoGrow;
    }
    /**
     * @param autoGrow the autoGrow to set
     */
    public void setAutoGrow(boolean autoGrow) {
        this.autoGrow = autoGrow;
    }
    
    /**
     * @return the growIncrement
     */
    public long getGrowIncrement() {
        return growIncrement;
    }
    /**
     * @param growIncrement the growIncrement to set
     */
    public void setGrowIncrement(long growIncrement) {
        this.growIncrement = growIncrement;
    }
    /**
     * @return the maxGrowSize
     */
    public long getMaxGrowSize() {
        return maxGrowSize;
    }
    /**
     * @param maxGrowSize the maxGrowSize to set
     */
    public void setMaxGrowSize(long maxGrowSize) {
        this.maxGrowSize = maxGrowSize;
    }
    /**
     * @return the containerName
     */
    public String getContainerName() {
        return containerName;
    }
    /**
     * @param containerName the containerName to set
     */
    public void setContainerName(String containerName) {
        this.containerName = containerName;
    }
    /**
     * @return the storagePod
     */
    public ProvisioningTargetStoragePod getStoragePod() {
        return storagePod;
    }
    /**
     * @param storagePod the storagePod to set
     */
    public void setStoragePod(ProvisioningTargetStoragePod storagePod) {
        this.storagePod = storagePod;
    }
    /**
     * @return the wrapperVol
     */
    public boolean isWrapperVol() {
        return wrapperVol;
    }
    /**
     * @param wrapperVol the wrapperVol to set
     */
    public void setWrapperVol(boolean wrapperVol) {
        this.wrapperVol = wrapperVol;
    }
    public String[] getHostNames() {
        return hostNames;
    }
    public void setHostNames(String[] hostNames) {
        this.hostNames = hostNames;
    }
    public Boolean getOptimized() {
        return optimized;
    }
    public void setOptimized(Boolean optimized) {
        this.optimized = optimized;
    }
    /**
     * @return the datastoreOffsetGroup
     */
    public Integer getDatastoreOffsetGroup() {
        return datastoreOffsetGroup;
    }
    /**
     * @param datastoreOffsetGroup the datastoreOffsetGroup to set
     */
    public void setDatastoreOffsetGroup(Integer datastoreOffsetGroup) {
        this.datastoreOffsetGroup = datastoreOffsetGroup;
    }

    public boolean isPartialBackup() {
        return partialBackup;
    }

    public void setPartialBackup(boolean partialBackup) {
        this.partialBackup = partialBackup;
    }
}
