/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore;

import java.io.Serializable;

/**
 * This enumeration is used to specify the datastore protocol type. Supported
 * types are NFS, FCP, iSCSI, Local, and Unknown.
 * 
 */
public enum DatastoreProtocol implements Serializable {

    NFS, FCP, ISCSI, LOCAL, UNKNOWN;

    
    /**
     * Implemented toString method.
     */
    public String toString() {
        switch (this) {
            case NFS:
                return "NFS";
            case FCP:
                return "FCP";
            case ISCSI:
                return "ISCSI";
            case LOCAL:
                return "LOCAL";
            case UNKNOWN:
                return "UNKNOWN";
            default:
                return "";
        }
    }
}