/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore;

import java.io.Serializable;

/**
 * An enum used to specify the two Datastore types; NFS and VMFS
 * 
 */
public enum DatastoreType implements Serializable {
    
    /**
     * NFS
     */
    NFS,
    
    /**
     * VMFS
     */
    VMFS,
    
    /**
     * FREE - Used for storage pods meaning that it can contain either NFS or VMFS
     */
    FREE,
    
    /**
     * Invalid. I.e., there is no URI associated with the datastore.
     */
    INVALID;
    
    /**
     * Implemented toString method.
     */
    public String toString() {
        switch (this) {
            case NFS:
                return "NFS";
            case VMFS:
                return "VMFS";
            case FREE:
                return "FREE";
            case INVALID:
                return "INVALID";
            default:
                return "";
        }
    }
}
