/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import com.netapp.nvpf.api.model.ModelObject;

public class DatastoreCapability extends ModelObject {
    
    private static final long serialVersionUID = 3952869939852000285L;
    
    protected String nameSpace;
    protected String name;
    protected String operator;
    protected String value;
    
    public static final String POLICY_NOT_CHOSEN = "None"; // see also: DatastoreConstants.as
    public static final String POLICY_VALUE_NOT_SPECIFIED = "VALUE_NOT_SPECIFIED"; // see also: DatastoreConstants.as
    public static final String POLICY_VALUE_ENABLED = "true"; // see also: DatastoreConstants.as
    public static final String POLICY_VALUE_DISABLED = "false"; // see also: DatastoreConstants.as
    
    public DatastoreCapability() {
        
    }
    
    public DatastoreCapability(final String nameSpace, final String name, final String operator, final String value) {
        this.nameSpace = nameSpace;
        this.name = name;
        this.operator = operator;
        this.value = value;
    }

    public String getNameSpace() {
        return nameSpace;
    }

    public void setNameSpace(final String nameSpace) {
        this.nameSpace = nameSpace;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(final String operator) {
        this.operator = operator;
    }

    public String getValue() {
        return value;
    }

    public void setValue(final String value) {
        this.value = value;
    }
    
    @Override
    public String toString() {
        return String.format("%s:%s %s %s", this.getNameSpace(), this.getName(), this.getOperator(), this.getValue());
    }
}
