/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import com.netapp.nvpf.api.model.ModelObject;

public class ProvisioningDatastoreSpec extends ModelObject {

    private static final long serialVersionUID = 4731337869823289275L;
    private String mor; // datastore moref
    private String targetMor; // server, cluster or datacenter moref
    private String goldVolume;
    private String datastoreProtocol;
    private String containerName; // may contain volume name, aggregate, or storage service name
    private Long sizeInMB;
    private boolean thinProvision;
    private boolean volAutoGrow;
    private Long volAutoGrowInc;
    private Long volAutoGrowMax;
    private String datastoreName;
    private int numDatastores;
    private ProvisioningTargetController controller;
    private String temp;
    private Integer blockSize;
    private boolean wrapperVol;
    private boolean storageService;
    private String podMoref;
    private Integer lunPrefix;
    private String policy;
    private String policyDeduplication;
    private String policyQoS;

    public String getMor() {
        return mor;
    }
    public void setMor(String mor) {
        this.mor = mor;
    }
    public String getTargetMor() {
        return targetMor;
    }
    public void setTargetMor(String targetMor) {
        this.targetMor = targetMor;
    }
    public String getGoldVolume() {
        return goldVolume;
    }
    public void setGoldVolume(String goldVolume) {
        this.goldVolume = goldVolume;
    }
    public String getDatastoreProtocol() {
        return datastoreProtocol;
    }
    public void setDatastoreProtocol(String datastoreProtocol) {
        this.datastoreProtocol = datastoreProtocol;
    }
    public String getContainerName() {
        return containerName;
    }
    public void setContainerName(String containerName) {
        this.containerName = containerName;
    }
    public Long getSizeInMB() {
        return sizeInMB;
    }
    public void setSizeInMB(Long sizeInMB) {
        this.sizeInMB = sizeInMB;
    }
    public boolean isThinProvision() {
        return thinProvision;
    }
    public void setThinProvision(boolean thinProvision) {
        this.thinProvision = thinProvision;
    }
    public boolean isVolAutoGrow() {
        return volAutoGrow;
    }
    public void setVolAutoGrow(boolean volAutoGrow) {
        this.volAutoGrow = volAutoGrow;
    }
    public Long getVolAutoGrowInc() {
        return volAutoGrowInc;
    }
    public void setVolAutoGrowInc(Long volAutoGrowInc) {
        this.volAutoGrowInc = volAutoGrowInc;
    }
    public Long getVolAutoGrowMax() {
        return volAutoGrowMax;
    }
    public void setVolAutoGrowMax(Long volAutoGrowMax) {
        this.volAutoGrowMax = volAutoGrowMax;
    }
    public int getNumDatastores() {
        return numDatastores;
    }
    public void setNumDatastores(int numDatastores) {
        this.numDatastores = numDatastores;
    }
    public ProvisioningTargetController getController() {
        return controller;
    }
    public void setController(ProvisioningTargetController controller) {
        this.controller = controller;
    }
    public String getTemp() {
        return temp;
    }
    public void setTemp(String temp) {
        this.temp = temp;
    }
    public Integer getBlockSize() {
        return blockSize;
    }
    public void setBlockSize(Integer blockSize) {
        this.blockSize = blockSize;
    }
    public boolean isWrapperVol() {
        return wrapperVol;
    }
    public void setWrapperVol(boolean wrapperVol) {
        this.wrapperVol = wrapperVol;
    }
    public boolean isStorageService() {
        return storageService;
    }
    public void setStorageService(boolean storageService) {
        this.storageService = storageService;
    }
    public String getPodMoref() {
        return podMoref;
    }
    public void setPodMoref(String podMoref) {
        this.podMoref = podMoref;
    }
    public Integer getLunPrefix() {
        return lunPrefix;
    }
    public void setLunPrefix(Integer lunPrefix) {
        this.lunPrefix = lunPrefix;
    }
    public String getDatastoreName() {
        return datastoreName;
    }
    public void setDatastoreName(String datastoreName) {
        this.datastoreName = datastoreName;
    }
    public String getPolicy() {
        return policy;
    }
    public void setPolicy(String policy) {
        this.policy = policy;
    }
    public String getPolicyDeduplication() {
        return policyDeduplication;
    }
    public void setPolicyDeduplication(String policyDeduplication) {
        this.policyDeduplication = policyDeduplication;
    }
    public String getPolicyQoS() {
        return policyQoS;
    }
    public void setPolicyQoS(String policyQoS) {
        this.policyQoS = policyQoS;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("ProvisioningDatastoreSpec [");
        builder.append(", mor=");
        builder.append(mor);
        builder.append(", targetMor=");
        builder.append(targetMor);
        builder.append(", goldVolume=");
        builder.append(goldVolume);
        builder.append(", datastoreProtocol=");
        builder.append(datastoreProtocol);
        builder.append(", containerName=");
        builder.append(containerName);
        builder.append(", sizeInMB=");
        builder.append(sizeInMB);
        builder.append(", thinProvision=");
        builder.append(thinProvision);
        builder.append(", volAutoGrow=");
        builder.append(volAutoGrow);
        builder.append(", volAutoGrowInc=");
        builder.append(volAutoGrowInc);
        builder.append(", volAutoGrowMax=");
        builder.append(volAutoGrowMax);
        builder.append(", datastoreName=");
        builder.append(datastoreName);
        builder.append(", numDatastores=");
        builder.append(numDatastores);
        builder.append(", blockSize=");
        builder.append(blockSize);
        builder.append(", wrapperVol=");
        builder.append(wrapperVol);
        builder.append(", storageService=");
        builder.append(storageService);
        builder.append(", podMoref=");
        builder.append(podMoref);
        builder.append(", lunPrefix=");
        builder.append(lunPrefix);
        builder.append(", policy=");
        builder.append(policy);
        builder.append(", policyDeduplication=");
        builder.append(policyDeduplication);
        builder.append(", policyQoS=");
        builder.append(policyQoS);        
        builder.append(", controller.getName()=");
        builder.append(controller.getName());
        builder.append(", controller.getIpAddress()=");
        builder.append(controller.getIpAddress());
        builder.append(", controller.getControllerTypeAsString()=");
        builder.append(controller.getControllerTypeAsString());
        builder.append(super.toString());
        builder.append("]");
        return builder.toString();
    }
}