/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import java.io.Serializable;

public enum ProvisioningErrorEnum implements Serializable {
    DS_NAME_ALREADY_EXISTS_ERROR, NFS_FCP_OR_ISCSI_NOT_LICENSED_ERROR, HOST_IN_STAND_BY_ERROR,
    HOST_IN_MAINTENANCE_MODE_ERROR, FCP_NOT_AVAILABLE_ERROR, CANNOT_CREATE_NFS_ON_VFILER_ERROR,
    NO_AVAILABLE_AGGRS, NO_AVAILABLE_AGGRS_ERROR, NO_AVAILABLE_VOLUMES, NO_AVAILABLE_VOLUMES_ERROR,
    CANNOT_GUARANTEE_SPACE_ERROR, MAXIMUM_DATASTORE_SIZE, cannotCreateNFSOnVFilerError, MAX_NFS_DATASTORES_EXCEEDED,
    MAX_VMFS_DATASTORES_EXCEEDED, NO_QUALIFIED_HOSTS_ERROR, NO_USABLE_ISCSI_INTERFACES_WARNING, NO_AVAILABLE_VOLUMES_OR_AGGREGATES_ERROR, 
    CLUSTER_NOT_OK_ERROR, CANNOT_PROVISION_STORAGE_ERROR, CLUSTER_TAX_PENALTRY_ERROR, FLAX_CLONE_NOT_LICENSED_ERROR, CANNOT_CREATE_CLONE_ERROR, POLICY_ERROR;
    
    public String toString() {
        switch (this) {
            case DS_NAME_ALREADY_EXISTS_ERROR:
                return "dsNameAlreadyExistsError";
            case NFS_FCP_OR_ISCSI_NOT_LICENSED_ERROR:
                return "nfsFcpOrIscsiNotLicensedError";
            case HOST_IN_STAND_BY_ERROR:
                return "hostInStandbyError";
            case HOST_IN_MAINTENANCE_MODE_ERROR:
                return "hostInMaintenanceModeError";
            case FCP_NOT_AVAILABLE_ERROR:
                return "fcpNotAvailableError";
            case CANNOT_CREATE_NFS_ON_VFILER_ERROR:
                return "cannotCreateNFSOnVFilerError";
            case NO_AVAILABLE_AGGRS:
                return "noAvailableAggrs";
            case NO_AVAILABLE_AGGRS_ERROR:
                return "noAvailableAggrsError";
            case NO_AVAILABLE_VOLUMES:
                return "noAvailableVolumes";
            case NO_AVAILABLE_VOLUMES_ERROR:
                return "noAvailableVolumesError";
            case CANNOT_GUARANTEE_SPACE_ERROR:
                return "cannotGuaranteeSpaceError";
            case MAXIMUM_DATASTORE_SIZE:
                return "maximumDatastoreSize";
            case MAX_NFS_DATASTORES_EXCEEDED:
                return "maxNfsDatastoresExceeded";
            case MAX_VMFS_DATASTORES_EXCEEDED:
                return "maxVmfsDatastoresExceeded";
            case NO_QUALIFIED_HOSTS_ERROR:
                return "noQualifiedHostsError";
            case NO_USABLE_ISCSI_INTERFACES_WARNING:
                return "noUsableIscsiInterfacesWarning";
            case NO_AVAILABLE_VOLUMES_OR_AGGREGATES_ERROR:
                return "noAvailableVolumesOrNoAvailableAggrsError";
            case CLUSTER_NOT_OK_ERROR:
                return "clusterNotOkError";
            case CANNOT_PROVISION_STORAGE_ERROR:
                return "cannotProvisionStorageError";
            case CLUSTER_TAX_PENALTRY_ERROR:
                return "clusterTaxPenaltyError";
            case FLAX_CLONE_NOT_LICENSED_ERROR:
                return "flexcloneNotLicensedError";
            case CANNOT_CREATE_CLONE_ERROR:
                return "cannotCreateClonesError";
            case POLICY_ERROR:
                return "policyError";
            default:
                return "";
        }
    }
}
