/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/datastore/provisioning/ProvisioningErrorMessage.java#1 $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import java.util.List;

/**
 * This model object is to combine the errorEnum and list of arguments those are needed to make the complete 
 * Error message. 
 * @author Surabhi
 *
 */
public class ProvisioningErrorMessage extends ProvisioningMessage {
    
    private ProvisioningErrorEnum errorEnum;

    public ProvisioningErrorMessage(ProvisioningErrorEnum errorEnum,
            List<String> argList) {
        super(argList);
        this.errorEnum = errorEnum;
    }

    public ProvisioningErrorMessage(ProvisioningErrorEnum errorEnum) {
        super();
        this.errorEnum = errorEnum;
    }

    public ProvisioningErrorMessage(ProvisioningErrorEnum errorEnum, String ... args) {
        super(args);
        this.errorEnum = errorEnum;
    }
    
    public ProvisioningErrorEnum getErrorEnum() {
        return errorEnum;
    }


    public void setErrorEnum(ProvisioningErrorEnum errorEnum) {
        this.errorEnum = errorEnum;
    }

    @Override 
    public String getMessage() {
        return errorEnum.toString();
    }
}
