/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/datastore/provisioning/ProvisioningMessage.java#1 $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ProvisioningMessage implements Serializable {
    
    private static final long serialVersionUID = -7023822323677229488L;
    
    private List<String> argList;
    private String message;

    public ProvisioningMessage(List<String> argList) {
        super();
        this.argList = argList;
    }

    public ProvisioningMessage() {
        super();
    }

    public ProvisioningMessage(String ... args) {
        super();
        if (args != null && args.length > 0) {
            this.argList = new ArrayList<String>();
            for (String arg : args) {
                this.argList.add(arg);
            }
        }
    }

    public List<String> getArgList() {
        return argList;
    }


    public void setArgList(List<String> argList) {
        this.argList = argList;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }



}
