/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/datastore/provisioning/ProvisioningTargetController.java#1 $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import java.util.Map;
import java.util.Set;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.storagesystem.ControllerTypeEnum;

public class ProvisioningTargetController  extends ModelObject {

    private static final long serialVersionUID = -7566873799149240419L;
    
    private String name;
    private String ipAddress;
    private ControllerTypeEnum controllerType;
    private String controllerTypeAsString;
    private boolean provisionable;
    private Set<ProvisioningMessage> errors;
    private Set<ProvisioningMessage> warnings;
    private Map<String, Set<ProvisioningMessage>> cloningErrors;
    private Map<String, Set<ProvisioningMessage>> cloningWarnings;
    private Set<ProvisioningTargetController> children;
    private String username;
    private String password;
    private boolean ssl;
    private boolean actuallyOpsMgr;
    private int port;
    private String passthroughContext;
    private String version;

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }
    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getIpAddress() {
        return ipAddress;
    }
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
    public ControllerTypeEnum getControllerType() {
        return controllerType;
    }
    public void setControllerType(ControllerTypeEnum controllerType) {
        this.controllerType = controllerType;
    }
    public boolean isProvisionable() {
        return provisionable;
    }
    public void setProvisionable(boolean provisionable) {
        this.provisionable = provisionable;
    }
    public Set<ProvisioningMessage> getErrors() {
        return errors;
    }
    public void setErrors(Set<ProvisioningMessage> errors) {
        this.errors = errors;
    }
    public Set<ProvisioningMessage> getWarnings() {
        return warnings;
    }
    public void setWarnings(Set<ProvisioningMessage> warnings) {
        this.warnings = warnings;
    }
    public Set<ProvisioningTargetController> getChildren() {
        return children;
    }
    public void setChildren(Set<ProvisioningTargetController> children) {
        this.children = children;
    }
    public String getControllerTypeAsString() {
        controllerTypeAsString = controllerType == null ? null : controllerType.toString();
        return controllerTypeAsString;
    }
    public void setControllerTypeAsString(String controllerTypeAsString) {
        this.controllerTypeAsString = controllerTypeAsString;
    }
    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
    public boolean isSsl() {
        return ssl;
    }
    public void setSsl(boolean ssl) {
        this.ssl = ssl;
    }
    public boolean isActuallyOpsMgr() {
        return actuallyOpsMgr;
    }
    public void setActuallyOpsMgr(boolean actuallyOpsMgr) {
        this.actuallyOpsMgr = actuallyOpsMgr;
    }
    public int getPort() {
        return port;
    }
    public void setPort(int port) {
        this.port = port;
    }
    public String getPassthroughContext() {
        return passthroughContext;
    }
    public void setPassthroughContext(String passthroughContext) {
        this.passthroughContext = passthroughContext;
    }
    /**
     * @return the cloningErrors
     */
    public Map<String, Set<ProvisioningMessage>> getCloningErrors() {
        return cloningErrors;
    }
    /**
     * @param cloningErrors the cloningErrors to set
     */
    public void setCloningErrors(Map<String, Set<ProvisioningMessage>> cloningErrors) {
        this.cloningErrors = cloningErrors;
    }
    /**
     * @return the cloningWarnings
     */
    public Map<String, Set<ProvisioningMessage>> getCloningWarnings() {
        return cloningWarnings;
    }
    /**
     * @param cloningWarnings the cloningWarnings to set
     */
    public void setCloningWarnings(Map<String, Set<ProvisioningMessage>> cloningWarnings) {
        this.cloningWarnings = cloningWarnings;
    }

}
