/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/datastore/provisioning/ProvisioningTargetControllerDetail.java#1 $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.datastore.provisioning;

import java.util.List;

import com.netapp.nvpf.api.model.ModelObject;

public class ProvisioningTargetControllerDetail extends ModelObject {
    
    private static final long serialVersionUID = 902980354591464676L;
    
    private double minSize; //This will validate minimum size with Aggregates
    private double maxSize; //This will validate maximum size with Aggregates
    private double defaultSize;
    private double thinProvisionMinSize;
    private double thinProvisionMaxSize;
    //Name of destination hosts/datacenter/cluster
    private String provisioningControllerDestinationName;
    private List<ProvisioningTargetAggregate> aggregates;
    private List<ProvisioningTargetVolume> volumes;
    private List<ProvisioningTargetStoragePod> datastoreClusters;
    private double defaultIncrementSize;
    private double maxIncrementSize;
    private double maxDatastoreSize;
    private double defaultDatastoreSize;
    /*
     *  These field will be used for VMFS datastore, when user didn't select create new volume.  
     *  Then min and max size validation will be on volume field
     */
    private double maxSizeForVolume;
    private double thinProvisionMaxSizeForVolume;
    /*
     * Field variable will be used to show/hide blockSize, depending upon the destination host version
     */
    private boolean showBlockSizeList;
    private int volumeWrapperBuffer;
    
    public double getMinSize() {
        return minSize;
    }
    public void setMinSize(double minSize) {
        this.minSize = minSize;
    }
    public double getMaxSize() {
        return maxSize;
    }
    public void setMaxSize(double maxSize) {
        this.maxSize = maxSize;
    }
    public double getDefaultSize() {
        return defaultSize;
    }
    public void setDefaultSize(double defaultSize) {
        this.defaultSize = defaultSize;
    }
    public double getThinProvisionMinSize() {
        return thinProvisionMinSize;
    }
    public void setThinProvisionMinSize(double thinProvisionMinSize) {
        this.thinProvisionMinSize = thinProvisionMinSize;
    }
    public double getThinProvisionMaxSize() {
        return thinProvisionMaxSize;
    }
    public void setThinProvisionMaxSize(double thinProvisionMaxSize) {
        this.thinProvisionMaxSize = thinProvisionMaxSize;
    }
    public List<ProvisioningTargetAggregate> getAggregates() {
        return aggregates;
    }
    public void setAggregates(List<ProvisioningTargetAggregate> aggregates) {
        this.aggregates = aggregates;
    }
    public List<ProvisioningTargetVolume> getVolumes() {
        return volumes;
    }
    public void setVolumes(List<ProvisioningTargetVolume> volumes) {
        this.volumes = volumes;
    }
    public List<ProvisioningTargetStoragePod> getDatastoreClusters() {
        return datastoreClusters;
    }
    public void setDatastoreClusters(
            List<ProvisioningTargetStoragePod> datastoreClusters) {
        this.datastoreClusters = datastoreClusters;
    }
    public double getDefaultIncrementSize() {
        return defaultIncrementSize;
    }
    public void setDefaultIncrementSize(double defaultIncrementSize) {
        this.defaultIncrementSize = defaultIncrementSize;
    }
    public double getMaxIncrementSize() {
        return maxIncrementSize;
    }
    public void setMaxIncrementSize(double maxIncrementSize) {
        this.maxIncrementSize = maxIncrementSize;
    }
    public double getMaxDatastoreSize() {
        return maxDatastoreSize;
    }
    public void setMaxDatastoreSize(double maxDatastoreSize) {
        this.maxDatastoreSize = maxDatastoreSize;
    }
    public double getDefaultDatastoreSize() {
        return defaultDatastoreSize;
    }
    public void setDefaultDatastoreSize(double defaultDatastoreSize) {
        this.defaultDatastoreSize = defaultDatastoreSize;
    }
    public String getProvisioningControllerDestinationName() {
        return provisioningControllerDestinationName;
    }
    public void setProvisioningControllerDestinationName(
            String provisioningControllerDestinationName) {
        this.provisioningControllerDestinationName = provisioningControllerDestinationName;
    }
    public double getMaxSizeForVolume() {
        return maxSizeForVolume;
    }
    public void setMaxSizeForVolume(double maxSizeForVolume) {
        this.maxSizeForVolume = maxSizeForVolume;
    }
    public double getThinProvisionMaxSizeForVolume() {
        return thinProvisionMaxSizeForVolume;
    }
    public void setThinProvisionMaxSizeForVolume(
            double thinProvisionMaxSizeForVolume) {
        this.thinProvisionMaxSizeForVolume = thinProvisionMaxSizeForVolume;
    }
    public boolean isShowBlockSizeList() {
        return showBlockSizeList;
    }
    public void setShowBlockSizeList(boolean showBlockSizeList) {
        this.showBlockSizeList = showBlockSizeList;
    }
    public int getVolumeWrapperBuffer() {
        return volumeWrapperBuffer;
    }
    public void setVolumeWrapperBuffer(int volumeWrapperBuffer) {
        this.volumeWrapperBuffer = volumeWrapperBuffer;
    }

}
