/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/host/Host.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.host;


import com.netapp.nvpf.api.model.ModelObject;

public class Host extends ModelObject {

    private static final long serialVersionUID = -4675572001325489718L;
    private String name;
    private String ipAddress;
    private String version;
    private String monitorStatus;
    private String statusReason;
    private String moref;
    private boolean adapterSettings;
    private boolean mpioSettings;
    private boolean nfsSettings;
    private boolean qFullSettings;
    private boolean skipped;
    private boolean patchCompatible;
    private String[] virtualMachineMorefs;
    private String username;
    private String password;
    private boolean inMaintenanceMode;


    public String getMoref() {
        return moref;
    }

    public void setMoref(String moref) {
        this.moref = moref;
    }

    public boolean isSkipped() {
        return skipped;
    }

    public void setSkipped(boolean skipped) {
        this.skipped = skipped;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getMonitorStatus() {
        return monitorStatus;
    }

    public void setMonitorStatus(String monitorStatus) {
        this.monitorStatus = monitorStatus;
    }

    public String getStatusReason() {
        return statusReason;
    }

    public void setStatusReason(String statusReason) {
        this.statusReason = statusReason;
    }

    public boolean isAdapterSettings() {
        return adapterSettings;
    }

    public void setAdapterSettings(boolean adapterSettings) {
        this.adapterSettings = adapterSettings;
    }

    public boolean isMpioSettings() {
        return mpioSettings;
    }

    public void setMpioSettings(boolean mpioSettings) {
        this.mpioSettings = mpioSettings;
    }

    public boolean isNfsSettings() {
        return nfsSettings;
    }

    public void setNfsSettings(boolean nfsSettings) {
        this.nfsSettings = nfsSettings;
    }

    public boolean isQFullSettings() {
        return qFullSettings;
    }

    public void setQFullSettings(boolean qFullSettings) {
        this.qFullSettings = qFullSettings;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the patchCompatible
     */
    public boolean isPatchCompatible() {
        return patchCompatible;
    }

    /**
     * @param patchCompatible the patchCompatible to set
     */
    public void setPatchCompatible(boolean patchCompatible) {
        this.patchCompatible = patchCompatible;
    }

    /**
     * qFullSettings getter, as It's using in host
     * setting graph of summary view.
     * @return
     */
    public boolean isqFullSettings() {
        return qFullSettings;
    }

    public void setqFullSettings(boolean qFullSettings) {
        this.qFullSettings = qFullSettings;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isInMaintenanceMode() {
        return inMaintenanceMode;
    }

    public void setInMaintenanceMode(boolean inMaintenanceMode) {
        this.inMaintenanceMode = inMaintenanceMode;
    }
    @Override
    public String toString() {
        return "Host [name=" + name + ", ipAddress=" + ipAddress + ", version="
                + version + ", monitorStatus=" + monitorStatus
                + ", statusReason=" + statusReason + ", adapterSettings="
                + adapterSettings + ", mpioSettings=" + mpioSettings
                + ", nfsSettings=" + nfsSettings + ", qFullSettings="
                + qFullSettings + ", username=" + username + ", password=" + password + ", inMaintenanceMode=" + inMaintenanceMode + "]";
    }

    public String[] getVirtualMachineMorefs() {
        return virtualMachineMorefs;
    }

    public void setVirtualMachineMorefs(String[] virtualMachineMorefs) {
        this.virtualMachineMorefs = virtualMachineMorefs;
    }
}
