/*
 * $Id: //depot/prod/nvpf/flex-prototype/src/java/com/netapp/nvpf/api/model/host/HostDetailsFolder.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.host;

import java.util.ArrayList;
import java.util.List;

import com.netapp.nvpf.api.model.ModelObject;

public class HostDetails extends ModelObject {

    private static final long serialVersionUID = -5855451347145597551L;
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private List<HostDetails> children = new ArrayList<HostDetails>();

    public List<HostDetails> getChildren() {
        return children;
    }

    public void setChildren(List<HostDetails> children) {
        this.children = children;
    }

    /**
     * Adds a list of children to this hostDetailsFolder item
     * 
     * @param children
     *            a list of children to add to this hostDetailsFolder item
     */
    public void add(List<HostDetails> children) {
        for (HostDetails child : children) {
            add(child);
        }
    }

    /**
     * Adds a new child to this hostDetailsFolder item
     * 
     * @param child
     *            a new child to add to this hostDetailsFolder item
     */
    public void add(HostDetails child) {
        children.add(child);
    }

    @Override
    public String toString() {
        return getName();
    }

}
