/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/privilege/ManagedEntityReference.java#1 $
 *
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.nvpf.api.model.privilege;

import com.netapp.nvpf.api.model.ModelObject;

/**
 * Simple value object for encapsulating the ManagedObjectReference string and
 * name for a ManagedEntity
 *
 */
public class ManagedEntityReference extends ModelObject {
    private String moref;
    private String name;
    
    /**
     * Default constructor needed for Dozer mapping between this class and 
     * com.netapp.nvpf.subplugin.tools.vsphere.ManagedEntityReference
     * 
     */
    public ManagedEntityReference() { }

    public ManagedEntityReference(String moref, String name) {
        this.moref = moref;
        this.name = name;
    }

    public String getMoref() {
        return moref;
    }
    
    public void setMoref(String moref) {
        this.moref = moref;
    }

    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    public String toString() {
        return "moref=" + getMoref() + ", name=" + getName();
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ManagedEntityReference that = (ManagedEntityReference) o;

        if (!moref.equals(that.moref)) {
            return false;
        }

        if (!name.equals(that.name)) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = moref.hashCode();
        result = 31 * result + name.hashCode();
        return result;
    }
}
