/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/privilege/PrivilegeValidationResponse.java#1 $
 *
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.nvpf.api.model.privilege;

import java.util.Set;

import com.netapp.nvpf.api.model.ModelObject;

public class PrivilegeValidationResponse extends ModelObject {
    private String requiredPrivilegeId;
    private Set<ManagedEntityReference> requiredEntities;
    private Set<ManagedEntityReference> satisfiedEntities;
    private Set<ManagedEntityReference> unsatisfiedEntities;
    
    /**
     * Default constructor needed for Dozer mapping between this class and 
     * com.netapp.nvpf.subplugin.tools.vsphere.PrivilegeValidationResponse
     * 
     */
    public PrivilegeValidationResponse() { }


    public String getRequiredPrivilegeId() {
        return requiredPrivilegeId;
    }

    public void setRequiredPrivilegeId(String requiredPrivilegeId) {
        this.requiredPrivilegeId = requiredPrivilegeId;
    }

    public Set<ManagedEntityReference> getRequiredEntities() {
        return requiredEntities;
    }
    
    public void setRequiredEntities(Set<ManagedEntityReference> requiredEntities) {
        this.requiredEntities = requiredEntities;
    }

    public Set<ManagedEntityReference> getSatisfiedEntities() {
        return satisfiedEntities;
    }
    
    public void setSatisfiedEntities(Set<ManagedEntityReference> satisfiedEntities) {
        this.satisfiedEntities = satisfiedEntities;
    }

    public Set<ManagedEntityReference> getUnsatisfiedEntities() {
        return unsatisfiedEntities;
    }
    
    public void setUnsatisfiedEntities(Set<ManagedEntityReference> unsatisfiedEntities) {
        this.unsatisfiedEntities = unsatisfiedEntities;
    } 

    /**
     * Returns true if all privilege validation results indicate the user has sufficient privileges
     *
     * @return true if all privilege validation results indicate the user has sufficient privileges
     */
    public boolean hasSufficientPrivileges() {
        return unsatisfiedEntities == null || unsatisfiedEntities.isEmpty();
    }
}
