/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/storagesystem/ControllerPrivilegeOpinionBean.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.storagesystem;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.netapp.nvpf.api.model.ModelObject;

public class ControllerPrivilegeOpinionBean extends ModelObject implements
        Serializable {

    private static final long serialVersionUID = 675973129032245022L;
    private String username;
    private String controllerId;
    private List<ControllerPrivilegeInfoBean> allowedRoles = new ArrayList<ControllerPrivilegeInfoBean>();
    private List<ControllerPrivilegeInfoBean> disallowedRoles = new ArrayList<ControllerPrivilegeInfoBean>();
    private ControllerPrivilegeInfoBean totalBean;

    /*
     * This flag will be true, when user is trying to add a Vserver,while its
     * parent is not been added.
     */
    private boolean directVserver;

    /*
     * This flag will be true, when user is trying to add a Vfiler,while its
     * parent is not been added.
     */
    private boolean directVfiler;

    public boolean isDirectVfiler() {
        return directVfiler;
    }

    public void setDirectVfiler(boolean directVfiler) {
        this.directVfiler = directVfiler;
    }

    public boolean isDirectVserver() {
        return directVserver;
    }

    public void setDirectVserver(boolean directVserver) {
        this.directVserver = directVserver;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getControllerId() {
        return controllerId;
    }

    public void setControllerId(String controllerId) {
        this.controllerId = controllerId;
    }

    public List<ControllerPrivilegeInfoBean> getAllowedRoles() {
        return allowedRoles;
    }

    public void setAllowedRoles(List<ControllerPrivilegeInfoBean> allowedRoles) {
        this.allowedRoles = allowedRoles;
    }

    public List<ControllerPrivilegeInfoBean> getDisallowedRoles() {
        return disallowedRoles;
    }

    public void setDisallowedRoles(
            List<ControllerPrivilegeInfoBean> disallowedRoles) {
        this.disallowedRoles = disallowedRoles;
    }

    public ControllerPrivilegeInfoBean getTotalBean() {
        return totalBean;
    }

    public void setTotalBean(ControllerPrivilegeInfoBean totalBean) {
        this.totalBean = totalBean;
    }

    @Override
    public String toString() {
        return "ControllerPrivilegeOpinionBean [username=" + username
                + ", controllerId=" + controllerId + ", allowedRoles="
                + allowedRoles + ", disallowedRoles=" + disallowedRoles
                + ", totalBean=" + totalBean + ", isDirectVserver="
                + directVserver + ", isDirectVfiler=" + directVfiler + "]";
    }

}
