/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/storagesystem/DedupeItem.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.storagesystem;

import java.util.ArrayList;
import java.util.List;

import com.netapp.nvpf.api.model.ModelObject;

public class DedupeItem extends ModelObject {

    private static final long serialVersionUID = 7814586116462175454L;
    public static final  int ROOT = 0;
    public static final int AGGR = 1;
    public static final int VOLUME = 2;
    public static final int LUN = 3;

    private String name;
    private int type;
    private double total;
    private double used;
    private double available;
    private double saved;
    private int percentSaved;

    private List<DedupeItem> children = new ArrayList<DedupeItem>();

    /**
     * Adds a list of children to this dedupe item
     * 
     * @param children
     *            a list of children to add to this dedupe item
     */
    public void add(List<DedupeItem> children) {
        for (DedupeItem child : children) {
            add(child);
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public double getTotal() {
        return total;
    }

    public void setTotal(double total) {
        this.total = total;
    }

    public double getUsed() {
        return used;
    }

    public void setUsed(double used) {
        this.used = used;
    }

    public double getAvailable() {
        return available;
    }

    public void setAvailable(double available) {
        this.available = available;
    }

    public double getSaved() {
        return saved;
    }

    public void setSaved(double saved) {
        this.saved = saved;
    }

    public int getPercentSaved() {
        return percentSaved;
    }

    public void setPercentSaved(int percentSaved) {
        this.percentSaved = percentSaved;
    }

    public List<DedupeItem> getChildren() {
        return children;
    }

    public void setChildren(List<DedupeItem> children) {
        this.children = children;
    }

    /**
     * Adds a new child to this dedupe item
     * 
     * @param child
     *            a new child to add to this dedupe item
     */
    public void add(DedupeItem child) {
        children.add(child);
    }

}
