/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/storagesystem/LogicalInterface.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All Rights Reserved.
 */
package com.netapp.nvpf.api.model.storagesystem;

import java.util.List;

import com.netapp.nvpf.api.model.ModelObject;

/**
 * Interface is a model object which is used to display LIFs for a
 * Cluster or VServer
 * 
 * Example Interface URI -
 * ss:vsc:Interface:f62d347f-a35e-11e1-b28a-453a80d75a1a-10.60.138.21
 * 
 * @author upendra.jariya
 */
public class LogicalInterface extends ModelObject {

    private static final long serialVersionUID = -5698399023255055373L;

    private String name;
    private String lifName;
    private String vserverName;
    private String ipAddress;
    private String role;
    private List<String> dataProtocolAccess;
    private String opStatus;
    private Boolean isHome;
    private String homeNode;
    private String currentNode;
    private String currentPort;
    private String lifType;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the lifName
     */
    public String getLifName() {
        return lifName;
    }

    /**
     * @param lifName
     *            the lifName to set
     */
    public void setLifName(String lifName) {
        this.lifName = lifName;
    }

    /**
     * @return the owningVserver
     */
    public String getVserverName() {
        return vserverName;
    }

    /**
     * @param owningVserver
     *            the owningVserver to set
     */
    public void setVserverName(String vserverName) {
        this.vserverName = vserverName;
    }

    /**
     * @return the ipAddress
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * @param ipAddress
     *            the ipAddress to set
     */
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    /**
     * @return the role
     */
    public String getRole() {
        return role;
    }

    /**
     * @param role
     *            the role to set
     */
    public void setRole(String role) {
        this.role = role;
    }

    /**
     * @return the dataProtocolAccess
     */
    public List<String> getDataProtocolAccess() {
        return dataProtocolAccess;
    }

    /**
     * @param dataProtocolAccess
     *            the dataProtocolAccess to set
     */
    public void setDataProtocolAccess(List<String> dataProtocolAccess) {
        this.dataProtocolAccess = dataProtocolAccess;
    }

    /**
     * @return the opStatus
     */
    public String getOpStatus() {
        return opStatus;
    }

    /**
     * @param opStatus
     *            the opStatus to set
     */
    public void setOpStatus(String opStatus) {
        this.opStatus = opStatus;
    }

    /**
     * @return the isHome
     */
    public Boolean getIsHome() {
        return isHome;
    }

    /**
     * @param isHome
     *            the isHome to set
     */
    public void setIsHome(Boolean isHome) {
        this.isHome = isHome;
    }

    /**
     * @return the homeNode
     */
    public String getHomeNode() {
        return homeNode;
    }

    /**
     * @param homeNode
     *            the homeNode to set
     */
    public void setHomeNode(String homeNode) {
        this.homeNode = homeNode;
    }

    /**
     * @return the currentNode
     */
    public String getCurrentNode() {
        return currentNode;
    }

    /**
     * @param currentNode
     *            the currentNode to set
     */
    public void setCurrentNode(String currentNode) {
        this.currentNode = currentNode;
    }

    /**
     * @return the currentPort
     */
    public String getCurrentPort() {
        return currentPort;
    }

    /**
     * @param currentPort
     *            the currentPort to set
     */
    public void setCurrentPort(String currentPort) {
        this.currentPort = currentPort;
    }

    public String getLifType() {
        return lifType;
    }

    public void setLifType(String lifType) {
        this.lifType = lifType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("Interface [lifName=");
        builder.append(lifName);
        builder.append(", vserverName=");
        builder.append(vserverName);
        builder.append(", ipAddress=");
        builder.append(ipAddress);
        builder.append(", role=");
        builder.append(role);
        builder.append(", dataProtocolAccess=");
        builder.append(formatAsString(dataProtocolAccess));
        builder.append(", opStatus=");
        builder.append(opStatus);
        builder.append(", isHome=");
        builder.append(isHome);
        builder.append(", homeNode=");
        builder.append(homeNode);
        builder.append(", currentNode=");
        builder.append(currentNode);
        builder.append(", currentPort=");
        builder.append(currentPort);
        builder.append(", ");
        builder.append(", lifeType=");
        builder.append(lifType);
        builder.append(", ");
        builder.append(super.toString());
        builder.append("]");
        return builder.toString();
    }

}
