/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/storagesystem/NasDetailsHeader.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.storagesystem;

import com.netapp.nvpf.api.model.ModelObject;

public class NasDetailsHeader extends ModelObject {

    private static final long serialVersionUID = 6229947264299210156L;

    private String name;
    private String controllerName;
    private String partner;
    private String exportpath;
    private String vmfspath;
    private String qtreestatus;
    private String datastore;
    private Long datastorecapacity;
    private String volname;
    private String volaggregate;
    private String remotehost;
    private String remotefolder;
    private String pathConfiguration;
    private Boolean clusterMode;
    private String moref;

    public String getControllerName() {
        return controllerName;
    }

    public void setControllerName(String controllerName) {
        this.controllerName = controllerName;
    }

    public String getMoref() {
        return moref;
    }

    public void setMoref(String moref) {
        this.moref = moref;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPartner() {
        return partner;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public String getExportpath() {
        return exportpath;
    }

    public void setExportpath(String exportpath) {
        this.exportpath = exportpath;
    }

    public String getVmfspath() {
        return vmfspath;
    }

    public void setVmfspath(String vmfspath) {
        this.vmfspath = vmfspath;
    }

    public String getQtreestatus() {
        return qtreestatus;
    }

    public void setQtreestatus(String qtreestatus) {
        this.qtreestatus = qtreestatus;
    }

    public String getDatastore() {
        return datastore;
    }

    public void setDatastore(String datastore) {
        this.datastore = datastore;
    }

    public Long getDatastorecapacity() {
        return datastorecapacity;
    }

    public void setDatastorecapacity(Long datastorecapacity) {
        this.datastorecapacity = datastorecapacity;
    }

    public String getVolname() {
        return volname;
    }

    public void setVolname(String volname) {
        this.volname = volname;
    }

    public String getVolaggregate() {
        return volaggregate;
    }

    public void setVolaggregate(String volaggregate) {
        this.volaggregate = volaggregate;
    }

    public String getRemotehost() {
        return remotehost;
    }

    public void setRemotehost(String remotehost) {
        this.remotehost = remotehost;
    }

    public String getRemotefolder() {
        return remotefolder;
    }

    public void setRemotefolder(String remotefolder) {
        this.remotefolder = remotefolder;
    }

    public String getPathConfiguration() {
        return pathConfiguration;
    }

    public void setPathConfiguration(String pathConfiguration) {
        this.pathConfiguration = pathConfiguration;
    }

    public Boolean getClusterMode() {
        return clusterMode;
    }

    public void setClusterMode(Boolean clusterMode) {
        this.clusterMode = clusterMode;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result
                + ((datastore == null) ? 0 : datastore.hashCode());
        result = prime * result
                + ((vmfspath == null) ? 0 : vmfspath.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }

        NasDetailsHeader other = (NasDetailsHeader) obj;

        if (datastore == null) {
            if (other.datastore != null) {
                return false;
            }
        }
        else if (!datastore.equals(other.datastore)) {
            return false;
        }

        if (vmfspath == null) {
            if (other.vmfspath != null) {
                return false;
            }
        }
        else if (!vmfspath.equals(other.vmfspath)) {
            return false;
        }
        return true;
    }

    /**
     * Override the toString() method;
     */
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("NasDetailsHeader [");
        builder.append("Name=" + getName());
        builder.append(", Partner=" + getPartner());
        builder.append(", Qtree Status=" + getQtreestatus());
        builder.append(", NFS Export Path=" + getExportpath());
        builder.append(", NFS Datasore Path=" + getVmfspath());
        builder.append(", Datastore=" + getDatastore());
        builder.append(", Datastore Capacity=" + getDatastorecapacity());
        builder.append(", Cluster Mode=" + getClusterMode());
        builder.append(", Volume Name=" + getVolname());
        builder.append(", Aggregate=" + getVolaggregate());
        builder.append(", Remote Host=" + getRemotehost());
        builder.append(", Remote Folder=" + getRemotefolder());
        builder.append(", Moref=" + getMoref());
        builder.append("]");
        return builder.toString();
    }

}
