/*
 * $Id: //depot/prod/nvpf/flex-prototype/src/java/com/netapp/nvpf/api/model/storagesystem/PathOptimizationDialogBean.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.nvpf.api.model.storagesystem;

import java.util.ArrayList;

import com.netapp.nvpf.api.model.ModelObject;


public class PathOptimizationDialogBean extends ModelObject {

    private static final long serialVersionUID = -242987748338956647L;

    private int goodCount;
    private int badCount;
    private String destinationNode;
    private String sourceNode;
    private String clusterName;
    private String nfsPathName;
    private String nfsTargetIP;
    private String suggestedPort;
    private ArrayList<NetworkPort> availablePorts;
    private String dataLif;
    private String sourcePort;

    public int getGoodCount() {
        return goodCount;
    }
    public void setGoodCount(int goodCount) {
        this.goodCount = goodCount;
    }
    public int getBadCount() {
        return badCount;
    }
    public void setBadCount(int badCount) {
        this.badCount = badCount;
    }
    public String getDestinationNode() {
        return destinationNode;
    }
    public void setDestinationNode(String destinationNode) {
        this.destinationNode = destinationNode;
    }
    public String getSourceNode() {
        return sourceNode;
    }
    public void setSourceNode(String sourceNode) {
        this.sourceNode = sourceNode;
    }
    public String getClusterName() {
        return clusterName;
    }
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }
    public String getNfsPathName() {
        return nfsPathName;
    }
    public void setNfsPathName(String nfsPathName) {
        this.nfsPathName = nfsPathName;
    }
    public String getNfsTargetIP() {
        return nfsTargetIP;
    }
    public void setNfsTargetIP(String nfsTargetIP) {
        this.nfsTargetIP = nfsTargetIP;
    }
    public String getSuggestedPort() {
        return suggestedPort;
    }
    public void setSuggestedPort(String suggestedPort) {
        this.suggestedPort = suggestedPort;
    }
    public ArrayList<NetworkPort> getAvailablePorts() {
        return availablePorts;
    }
    public void setAvailablePorts(ArrayList<NetworkPort> availablePorts) {
        this.availablePorts = availablePorts;
    }
    public String getDataLif() {
        return dataLif;
    }
    public void setDataLif(String dataLif) {
        this.dataLif = dataLif;
    }
    public String getSourcePort() {
        return sourcePort;
    }
    public void setSourcePort(String sourcePort) {
        this.sourcePort = sourcePort;
    }
    
    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("PathOptimizationDialogBean [");
        builder.append(", goodCount=");
        builder.append(goodCount);
        builder.append(", badCount=");
        builder.append(badCount);
        builder.append(", destinationNode=");
        builder.append(destinationNode);
        builder.append(", sourceNode=");
        builder.append(sourceNode);
        builder.append(", clusterName=");
        builder.append(clusterName);
        builder.append(", nfsPathName=");
        builder.append(nfsPathName);
        builder.append(", nfsTargetIP=");
        builder.append(nfsTargetIP);
        builder.append(", suggestedPort=");
        builder.append(suggestedPort);
        if (availablePorts != null && !availablePorts.isEmpty()) {
            for (NetworkPort networkPort : availablePorts) {
                builder.append("networkPort[").append(networkPort).
                    append("],");
            }
        }
        builder.append(", dataLif=");
        builder.append(dataLif);
        builder.append(", sourcePort=");
        builder.append(sourcePort);
        builder.append("]");
        return builder.toString();
    }
}
