/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/storagesystem/SanDetailsHeader.java#1 $
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.nvpf.api.model.storagesystem;

import com.netapp.nvpf.api.model.ModelObject;

public class SanDetailsHeader extends ModelObject {

    private static final long serialVersionUID = 5367112348938502353L;
    private String name;
    private String controllerName;
    private String partner;
    private Boolean thinprov;
    private Long storagecapacity;
    private String lunpath;
    private String serial;
    private Boolean storagestatus;
    private Integer lunid;
    private String durablename;
    private String datastore;
    private Long datastorecapacity;
    private String volname;
    private String volaggregate;
    private Boolean multipleextents;
    private Boolean clusterMode;
    private String moref;

    public String getControllerName() {
        return controllerName;
    }

    public void setControllerName(String controllerName) {
        this.controllerName = controllerName;
    }

    public String getMoref() {
        return moref;
    }

    public void setMoref(String moref) {
        this.moref = moref;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPartner() {
        return partner;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public Boolean getThinprov() {
        return thinprov;
    }

    public void setThinprov(Boolean thinprov) {
        this.thinprov = thinprov;
    }

    public Long getStoragecapacity() {
        return storagecapacity;
    }

    public void setStoragecapacity(Long storagecapacity) {
        this.storagecapacity = storagecapacity;
    }

    public String getLunpath() {
        return lunpath;
    }

    public void setLunpath(String lunpath) {
        this.lunpath = lunpath;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public Boolean getStoragestatus() {
        return storagestatus;
    }

    public void setStoragestatus(Boolean storagestatus) {
        this.storagestatus = storagestatus;
    }

    public Integer getLunid() {
        return lunid;
    }

    public void setLunid(Integer lunid) {
        this.lunid = lunid;
    }

    public String getDurablename() {
        return durablename;
    }

    public void setDurablename(String durablename) {
        this.durablename = durablename;
    }

    public String getDatastore() {
        return datastore;
    }

    public void setDatastore(String datastore) {
        this.datastore = datastore;
    }

    public Long getDatastorecapacity() {
        return datastorecapacity;
    }

    public void setDatastorecapacity(Long datastorecapacity) {
        this.datastorecapacity = datastorecapacity;
    }

    public String getVolname() {
        return volname;
    }

    public void setVolname(String volname) {
        this.volname = volname;
    }

    public String getVolaggregate() {
        return volaggregate;
    }

    public void setVolaggregate(String volaggregate) {
        this.volaggregate = volaggregate;
    }

    public Boolean getMultipleextents() {
        return multipleextents;
    }

    public void setMultipleextents(Boolean multipleextents) {
        this.multipleextents = multipleextents;
    }

    public Boolean getClusterMode() {
        return clusterMode;
    }

    public void setClusterMode(Boolean clusterMode) {
        this.clusterMode = clusterMode;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((lunpath == null) ? 0 : lunpath.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if (obj == null) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }

        SanDetailsHeader other = (SanDetailsHeader) obj;

        if (lunpath == null) {
            if (other.lunpath != null) {
                return false;
            }
        }
        else if (!lunpath.equals(other.lunpath)) {
            return false;
        }

        if (name == null) {
            if (other.name != null) {
                return false;
            }
        }
        else if (!name.equals(other.name)) {
            return false;
        }

        return true;
    }

    /**
     * Override the toString() method;
     * 
     * @return a String representing this Object
     */
    public String toString() {

        StringBuilder builder = new StringBuilder();
        builder.append("SanDetailsHeader [");
        builder.append("Name=" + getName());
        builder.append(", Partner=" + getPartner());
        builder.append(", Storage Capacity=" + getStoragecapacity());
        builder.append(", Storage Status=" + getStoragestatus());
        builder.append(", Thin Provisioning=" + getThinprov());
        builder.append(", LUN Path=" + getLunpath());
        builder.append(", LUN Serial=" + getSerial());
        builder.append(", LUN ID=" + getLunid());
        builder.append(", Durable Name=" + getDurablename());
        builder.append(", Datastore=" + getDatastore());
        builder.append(", Datastore Capacity=" + getDatastorecapacity());
        builder.append(", Multiple Extent=" + getMultipleextents());
        builder.append(", Cluster Mode=" + getClusterMode());
        builder.append(", Volume Name=" + getVolname());
        builder.append(", Aggregate=" + getVolaggregate());
        builder.append(", Moref=" + getMoref());
        builder.append("]");

        return builder.toString();
    }

}
