/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */

package com.netapp.nvpf.api.model.storagesystem;


import com.netapp.nvpf.api.model.ModelObject;

/**
 * @author Surabhi
 *
 */
public class Volume extends ModelObject {

    private static final long serialVersionUID = -5945348445098977774L;

    private String name;
    private double sizeUsed;
    private double sizeTotal;
    private double sizeAvailable;
    private int snapshotPercentReserved;
    private boolean thinProvisioned;
    private String exportPolicyName;
    
    private String status;
    private String type;
    private String guarantee;
    private Long autogrowMaxSize;
    private Long autogrowIncrement;
    private Boolean autogrowEnabled;
    private String tryFirst;
    private String aggregate;
    private String deDupLastBegin;
    private String deDupLastEnd;
    private String deDupSchedule;
    private Long deDupSizeSaved;
    private Long deDupSizeShared;
    private String deDupSpaceSavings;
    private String deDupState;
    private String deDupStatus;
    private String deDupType;
    private Integer warningThreshold;
    private String convertUcode;
    private String createUcode;
    private String noAtimeUpdate;
    private String snapshotAutodeleteState;
    private String snapshotAutodeleteTrigger;
    private String fractionalReserve;
    private Long snapshotBlocksReserved;
    private Long snapshotReserveUsedActual;

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public double getSizeUsed() {
        return sizeUsed;
    }
    public void setSizeUsed(double sizeUsed) {
        this.sizeUsed = sizeUsed;
    }
    public double getSizeTotal() {
        return sizeTotal;
    }
    public void setSizeTotal(double sizeTotal) {
        this.sizeTotal = sizeTotal;
    }
    public double getSizeAvailable() {
        return sizeAvailable;
    }
    public void setSizeAvailable(double sizeAvailable) {
        this.sizeAvailable = sizeAvailable;
    }
    public void setSizeAvailable(long sizeAvailable) {
        this.sizeAvailable = sizeAvailable;
    }
    public int getSnapshotPercentReserved() {
        return snapshotPercentReserved;
    }
    public void setSnapshotPercentReserved(int snapshotPercentReserved) {
        this.snapshotPercentReserved = snapshotPercentReserved;
    }
    public boolean isThinProvisioned() {
        return thinProvisioned;
    }
    public void setThinProvisioned(boolean thinProvisioned) {
        this.thinProvisioned = thinProvisioned;
    }
    public String getExportPolicyName() {
        return exportPolicyName;
    }
    public void setExportPolicyName(String exportPolicyName) {
        this.exportPolicyName = exportPolicyName;
    }
    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }
    public String getGuarantee() {
        return guarantee;
    }
    public void setGuarantee(String guarantee) {
        this.guarantee = guarantee;
    }
    public Long getAutogrowMaxSize() {
        return autogrowMaxSize;
    }
    public void setAutogrowMaxSize(Long autogrowMaxSize) {
        this.autogrowMaxSize = autogrowMaxSize;
    }
    public Long getAutogrowIncrement() {
        return autogrowIncrement;
    }
    public void setAutogrowIncrement(Long autogrowIncrement) {
        this.autogrowIncrement = autogrowIncrement;
    }
    public Boolean getAutogrowEnabled() {
        return autogrowEnabled;
    }
    public void setAutogrowEnabled(Boolean autogrowEnabled) {
        this.autogrowEnabled = autogrowEnabled;
    }
    public String getTryFirst() {
        return tryFirst;
    }
    public void setTryFirst(String tryFirst) {
        this.tryFirst = tryFirst;
    }
    public String getAggregate() {
        return aggregate;
    }
    public void setAggregate(String aggregate) {
        this.aggregate = aggregate;
    }
    public String getDeDupLastBegin() {
        return deDupLastBegin;
    }
    public void setDeDupLastBegin(String deDupLastBegin) {
        this.deDupLastBegin = deDupLastBegin;
    }
    public String getDeDupLastEnd() {
        return deDupLastEnd;
    }
    public void setDeDupLastEnd(String deDupLastEnd) {
        this.deDupLastEnd = deDupLastEnd;
    }
    public String getDeDupSchedule() {
        return deDupSchedule;
    }
    public void setDeDupSchedule(String deDupSchedule) {
        this.deDupSchedule = deDupSchedule;
    }
    public Long getDeDupSizeSaved() {
        return deDupSizeSaved;
    }
    public void setDeDupSizeSaved(Long deDupSizeSaved) {
        this.deDupSizeSaved = deDupSizeSaved;
    }
    public Long getDeDupSizeShared() {
        return deDupSizeShared;
    }
    public void setDeDupSizeShared(Long deDupSizeShared) {
        this.deDupSizeShared = deDupSizeShared;
    }
    public String getDeDupSpaceSavings() {
        return deDupSpaceSavings;
    }
    public void setDeDupSpaceSavings(String deDupSpaceSavings) {
        this.deDupSpaceSavings = deDupSpaceSavings;
    }
    public String getDeDupState() {
        return deDupState;
    }
    public void setDeDupState(String deDupState) {
        this.deDupState = deDupState;
    }
    public String getDeDupStatus() {
        return deDupStatus;
    }
    public void setDeDupStatus(String deDupStatus) {
        this.deDupStatus = deDupStatus;
    }
    public String getDeDupType() {
        return deDupType;
    }
    public void setDeDupType(String deDupType) {
        this.deDupType = deDupType;
    }
    public Integer getWarningThreshold() {
        return warningThreshold;
    }
    public void setWarningThreshold(Integer warningThreshold) {
        this.warningThreshold = warningThreshold;
    }
    public String getConvertUcode() {
        return convertUcode;
    }
    public void setConvertUcode(String convertUcode) {
        this.convertUcode = convertUcode;
    }
    public String getCreateUcode() {
        return createUcode;
    }
    public void setCreateUcode(String createUcode) {
        this.createUcode = createUcode;
    }
    public String getNoAtimeUpdate() {
        return noAtimeUpdate;
    }
    public void setNoAtimeUpdate(String noAtimeUpdate) {
        this.noAtimeUpdate = noAtimeUpdate;
    }
    public String getSnapshotAutodeleteState() {
        return snapshotAutodeleteState;
    }
    public void setSnapshotAutodeleteState(String snapshotAutodeleteState) {
        this.snapshotAutodeleteState = snapshotAutodeleteState;
    }
    public String getSnapshotAutodeleteTrigger() {
        return snapshotAutodeleteTrigger;
    }
    public void setSnapshotAutodeleteTrigger(String snapshotAutodeleteTrigger) {
        this.snapshotAutodeleteTrigger = snapshotAutodeleteTrigger;
    }
    public String getFractionalReserve() {
        return fractionalReserve;
    }
    public void setFractionalReserve(String fractionalReserve) {
        this.fractionalReserve = fractionalReserve;
    }
    public Long getSnapshotBlocksReserved() {
        return snapshotBlocksReserved;
    }
    public void setSnapshotBlocksReserved(Long snapshotBlocksReserved) {
        this.snapshotBlocksReserved = snapshotBlocksReserved;
    }
    public Long getSnapshotReserveUsedActual() {
        return snapshotReserveUsedActual;
    }
    public void setSnapshotReserveUsedActual(Long snapshotReserveUsedActual) {
        this.snapshotReserveUsedActual = snapshotReserveUsedActual;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
