/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.virtualmachine.cloning.GuestCustomizationSpec;

/**
 * @author Surabhi
 *
 */
public class VirtualMachine extends ModelObject {

    private static final long serialVersionUID = -5945348445099077774L;

    private String name;
    private int powerState;
    private String displayPowerState;
    private VirtualMachineFile[] vmFiles;
    private String moref;
    private String uuid;
    private String[] vDisks;
    private String hardwareVersion;
    private int maxAvailablePorts;
    private int vmMemoryInMb;
    private String instanceUuid;
    private String lastDeployedDate;
    private GuestCustomizationSpec guestCustomizationSpec;
    private boolean cloneParent;

    private boolean entirelyFlat;
    private boolean entirelySparse;
    private boolean template;
    private boolean partialBackup;

    private DatastoreVmUsage[] datastoreUsage;

    private String username;
    private String password;
    private int port;

    
    /**
     * @return the moref
     */
    public String getMoref() {
        return moref;
    }

    /**
     * @param moref the moref to set
     */
    public void setMoref(String moref) {
        this.moref = moref;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    } 

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public int getPowerState() {
        return powerState;
    }
    public void setPowerState(int powerState) {
        this.powerState = powerState;
    }
    public String getDisplayPowerState() {
        return displayPowerState;
    }
    public void setDisplayPowerState(String displayPowerState) {
        this.displayPowerState = displayPowerState;
    }

    public String[] getvDisks() {
        return vDisks;
    }
    public void setvDisks(String[] vDisks) {
        this.vDisks = vDisks;
    }
    public String getHardwareVersion() {
        return hardwareVersion;
    }
    public void setHardwareVersion(String hardwareVersion) {
        this.hardwareVersion = hardwareVersion;
    }
    public int getMaxAvailablePorts() {
        return maxAvailablePorts;
    }
    public void setMaxAvailablePorts(int maxAvailablePorts) {
        this.maxAvailablePorts = maxAvailablePorts;
    }
    public int getVmMemoryInMb() {
        return vmMemoryInMb;
    }
    public void setVmMemoryInMb(int vmMemoryInMb) {
        this.vmMemoryInMb = vmMemoryInMb;
    }

    public VirtualMachineFile[] getVmFiles() {
        return vmFiles;
    }

    public void setVmFiles(VirtualMachineFile[] vmFiles) {
        this.vmFiles = vmFiles;
    }

    public String getInstanceUuid() {
        return instanceUuid;
    }

    public void setInstanceUuid(String instanceUuid) {
        this.instanceUuid = instanceUuid;
    }

    public String getLastDeployedDate() {
        return lastDeployedDate;
    }

    public void setLastDeployedDate(String lastDeployedDate) {
        this.lastDeployedDate = lastDeployedDate;
    }

    public GuestCustomizationSpec getGuestCustomizationSpec() {
        return guestCustomizationSpec;
    }

    public void setGuestCustomizationSpec(GuestCustomizationSpec guestCustomizationSpec) {
        this.guestCustomizationSpec = guestCustomizationSpec;
    }

    public boolean isCloneParent() {
        return cloneParent;
    }

    public void setCloneParent(boolean cloneParent) {
        this.cloneParent = cloneParent;
    }

    public boolean isEntirelyFlat() {
        return entirelyFlat;
    }

    public void setEntirelyFlat(boolean entirelyFlat) {
        this.entirelyFlat = entirelyFlat;
    }

    public boolean isEntirelySparse() {
        return entirelySparse;
    }

    public void setEntirelySparse(boolean entirelySparse) {
        this.entirelySparse = entirelySparse;
    }

    /**
     * @return the template
     */
    public boolean isTemplate() {
        return template;
    }

    /**
     * @param template the template to set
     */
    public void setTemplate(boolean template) {
        this.template = template;
    }

    /**
     * @return the partialBackup
     */
    public boolean isPartialBackup() {
        return partialBackup;
    }

    /**
     * @param partialBackup the partialBackup to set
     */
    public void setPartialBackup(boolean partialBackup) {
        this.partialBackup = partialBackup;
    }

    /**
     * @return the datastoreUsage
     */
    public DatastoreVmUsage[] getDatastoreUsage() {
        return datastoreUsage;
    }

    /**
     * @param datastoreUsage the datastoreUsage to set
     */
    public void setDatastoreUsage(DatastoreVmUsage[] datastoreUsage) {
        this.datastoreUsage = datastoreUsage;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }
}
