/*
 * $Id: $
 * 
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.datastore.Datastore;

public class VirtualMachineFile extends ModelObject {
    
    private static final long serialVersionUID = -5945348445078757774L;
    private static final String VM_CONFIG = "Configuration File";
    
    private String name;
    private Boolean punchable;
    private Long size;
    private String datastoreName;
    private Datastore datastore;
    
    public boolean isConfigurationFile() {
        if (name.equals(VM_CONFIG)) {
            return true;
        }
        return (name.contains(".vmx") || name.contains(".vmtx"));
    }
    
    /**
     * @return the datastoreName
     */
    public String getDatastoreName() {
        return datastoreName;
    }
    /**
     * @param datastoreName the datastoreName to set
     */
    public void setDatastoreName(String datastoreName) {
        this.datastoreName = datastoreName;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public Boolean getPunchable() {
        return punchable;
    }
    public void setPunchable(Boolean punchable) {
        this.punchable = punchable;
    }
    public Long getSize() {
        return size;
    }
    public void setSize(Long size) {
        this.size = size;
    }
    public Datastore getDatastore() {
        return datastore;
    }
    public void setDatastore(Datastore datastore) {
        this.datastore = datastore;
    }
}
