/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/virtualmachine/cloning/CloningLimits.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine.cloning;

import com.netapp.nvpf.api.model.ModelObject;

public class CloningLimits extends ModelObject {

    private static final long serialVersionUID = -4735157950658467762L;
    
    // input parameters
    private int vmMaxAvailablePorts;
    private String vmHardwareVersion; 
    private boolean isUpgradedHardwareVersion;
    private InventoryItem inventoryItem;
    
    // output parameters
    private int maxProcessor;
    private int maxClones;
    private int maxMemory;
    private GuestCustomizationSpec[] guestCustomizationSpecs;
    private String[] existingVMNames;
    private String[] existingDatastoreNames;
    private String[] existingVolumeNames;
    
    public String[] getExistingVMNames() {
        return existingVMNames;
    }
    public void setExistingVMNames(String[] existingVMNames) {
        this.existingVMNames = existingVMNames;
    }
    public int getVmMaxAvailablePorts() {
        return vmMaxAvailablePorts;
    }
    public void setVmMaxAvailablePorts(int vmMaxAvailablePorts) {
        this.vmMaxAvailablePorts = vmMaxAvailablePorts;
    }
    public String getVmHardwareVersion() {
        return vmHardwareVersion;
    }
    public void setVmHardwareVersion(String vmHardwareVersion) {
        this.vmHardwareVersion = vmHardwareVersion;
    }
    public boolean isUpgradedHardwareVersion() {
        return isUpgradedHardwareVersion;
    }
    public void setUpgradedHardwareVersion(boolean isUpgradedHardwareVersion) {
        this.isUpgradedHardwareVersion = isUpgradedHardwareVersion;
    }
    public InventoryItem getInventoryItem() {
        return inventoryItem;
    }
    public void setInventoryItem(InventoryItem inventoryItem) {
        this.inventoryItem = inventoryItem;
    }
    public int getMaxProcessor() {
        return maxProcessor;
    }
    public void setMaxProcessor(int maxProcessor) {
        this.maxProcessor = maxProcessor;
    }
    public int getMaxClones() {
        return maxClones;
    }
    public void setMaxClones(int maxClones) {
        this.maxClones = maxClones;
    }
    public int getMaxMemory() {
        return maxMemory;
    }
    public void setMaxMemory(int maxMemory) {
        this.maxMemory = maxMemory;
    }
    public GuestCustomizationSpec[] getGuestCustomizationSpecs() {
        return guestCustomizationSpecs;
    }
    public void setGuestCustomizationSpecs(
        GuestCustomizationSpec[] guestCustomizationSpecs) {
        this.guestCustomizationSpecs = guestCustomizationSpecs;
    }
    public String[] getExistingDatastoreNames() {
        return existingDatastoreNames;
    }
    public void setExistingDatastoreNames(String[] existingDatastoreNames) {
        this.existingDatastoreNames = existingDatastoreNames;
    }
    public String[] getExistingVolumeNames() {
        return existingVolumeNames;
    }
    public void setExistingVolumeNames(String[] existingVolumeNames) {
        this.existingVolumeNames = existingVolumeNames;
    }
}
