/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/virtualmachine/cloning/CloningModel.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine.cloning;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.cb.ConnectionBroker;
import com.netapp.nvpf.api.model.datastore.Datastore;
import com.netapp.nvpf.api.model.virtualmachine.VirtualMachine;

/**
 * @author prafful.namdev
 *
 */
public class CloningModel extends ModelObject {

    private static final long serialVersionUID = -1704919288427735133L;
    
    private VirtualMachine virtualMachine;
    private boolean isUserPrivilegedToProvision;
    private boolean aligned;
    private String[] vmdkFileNames;
    private String controllerID;
    private String custSpecification;
    private boolean powerOn;
    private String[] newCloneNames;
    private InventoryItem destination;
    private boolean specifyDestVmFolder;
    private InventoryItem destVmFolder;
    private int virtualProcessors;
    private long memorySizeInMB;
    private int bootsPerMinute;
    private boolean createImportFile;
    private String connectionBrokerType;
    private Datastore datastore;
    private int numberOfClones;
    private boolean advancedCloning;
    private boolean newDesktopPool;
    private String existingDesktopPoolName;
    private ConnectionBroker viewServer;
    private boolean createNewDatastores;
    private DesktopPool[] desktopPools;
    private boolean dedicated;
    private boolean useVFilerContext;
    private String vFilerContext;
    private String diskFormat;
    private String alignmentWarningMessage;
    private boolean upgradeHardwareVersion;
    private boolean doesUpgradeHardwareVersionApply;
    
    public boolean isUpgradeHardwareVersion() {
        return upgradeHardwareVersion;
    }
    public void setUpgradeHardwareVersion(boolean upgradeHardwareVersion) {
        this.upgradeHardwareVersion = upgradeHardwareVersion;
    }
    public boolean getDoesUpgradeHardwareVersionApply() {
        return doesUpgradeHardwareVersionApply;
    }
    public void setDoesUpgradeHardwareVersionApply(boolean doesUpgradeHardwareVersionApply) {
        this.doesUpgradeHardwareVersionApply = doesUpgradeHardwareVersionApply;
    }
    /**
     * @return the newCloneNames
     */
    public String[] getNewCloneNames() {
        return newCloneNames;
    }
    /**
     * @param newCloneNames the newCloneNames to set
     */
    public void setNewCloneNames(String[] newCloneNames) {
        this.newCloneNames = newCloneNames;
    }
    
    public boolean isPowerOn() {
        return powerOn;
    }
    public void setPowerOn(boolean powerOn) {
        this.powerOn = powerOn;
    }
    public boolean isSpecifyDestVmFolder() {
        return specifyDestVmFolder;
    }
    public void setSpecifyDestVmFolder(boolean specifyDestVmFolder) {
        this.specifyDestVmFolder = specifyDestVmFolder;
    }
    /**
     * @return the virtualProcessors
     */
    public int getVirtualProcessors() {
        return virtualProcessors;
    }
    /**
     * @param virtualProcessors the virtualProcessors to set
     */
    public void setVirtualProcessors(int virtualProcessors) {
        this.virtualProcessors = virtualProcessors;
    }
    /**
     * @return the memorySizeInMB
     */
    public long getMemorySizeInMB() {
        return memorySizeInMB;
    }
    /**
     * @param memorySizeInMB the memorySizeInMB to set
     */
    public void setMemorySizeInMB(long memorySizeInMB) {
        this.memorySizeInMB = memorySizeInMB;
    }
    /**
     * @return the bootsPerMinute
     */
    public int getBootsPerMinute() {
        return bootsPerMinute;
    }
    /**
     * @param bootsPerMinute the bootsPerMinute to set
     */
    public void setBootsPerMinute(int bootsPerMinute) {
        this.bootsPerMinute = bootsPerMinute;
    }
    /**
     * @return the createImportFile
     */
    public boolean isCreateImportFile() {
        return createImportFile;
    }
    /**
     * @param createImportFile the createImportFile to set
     */
    public void setCreateImportFile(boolean createImportFile) {
        this.createImportFile = createImportFile;
    }
    /**
     * @return the connectionBrokerType
     */
    public String getConnectionBrokerType() {
        return connectionBrokerType;
    }
    /**
     * @param connectionBrokerType the connectionBrokerType to set
     */
    public void setConnectionBrokerType(String connectionBrokerType) {
        this.connectionBrokerType = connectionBrokerType;
    }
    public VirtualMachine getVirtualMachine() {
        return virtualMachine;
    }
    public void setVirtualMachine(VirtualMachine virtualMachine) {
        this.virtualMachine = virtualMachine;
    }
    public boolean isUserPrivilegedToProvision() {
        return isUserPrivilegedToProvision;
    }
    public void setUserPrivilegedToProvision(boolean isUserPrivilegedToProvision) {
        this.isUserPrivilegedToProvision = isUserPrivilegedToProvision;
    }
    public boolean isAligned() {
        return aligned;
    }
    public void setAligned(boolean aligned) {
        this.aligned = aligned;
    }
    
    public String getCustSpecification() {
        return custSpecification;
    }
    public void setCustSpecification(String custSpecification) {
        this.custSpecification = custSpecification;
    }
    /**
     * @return the destination
     */
    public InventoryItem getDestination() {
        return destination;
    }
    /**
     * @param destination the destination to set
     */
    public void setDestination(InventoryItem destination) {
        this.destination = destination;
    }
    /**
     * @return the destVmFolder
     */
    public InventoryItem getDestVmFolder() {
        return destVmFolder;
    }
    /**
     * @param destVmFolder the destVmFolder to set
     */
    public void setDestVmFolder(InventoryItem destVmFolder) {
        this.destVmFolder = destVmFolder;
    }
    /**
     * @return the datastore
     */
    public Datastore getDatastore() {
        return datastore;
    }
    /**
     * @param datastore the datastore to set
     */
    public void setDatastore(Datastore datastore) {
        this.datastore = datastore;
    }
    public int getNumberOfClones() {
        return numberOfClones;
    }
    public void setNumberOfClones(int numberOfClones) {
        this.numberOfClones = numberOfClones;
    }
    public boolean isAdvancedCloning() {
        return advancedCloning;
    }
    public void setAdvancedCloning(boolean advancedCloning) {
        this.advancedCloning = advancedCloning;
    }
    
    
    public String getExistingDesktopPoolName() {
        return existingDesktopPoolName;
    }
    public void setExistingDesktopPoolName(String existingDesktopPoolName) {
        this.existingDesktopPoolName = existingDesktopPoolName;
    }
    public ConnectionBroker getViewServer() {
        return viewServer;
    }
    public void setViewServer(ConnectionBroker viewServer) {
        this.viewServer = viewServer;
    }
    public boolean isNewDesktopPool() {
        return newDesktopPool;
    }
    public void setNewDesktopPool(boolean newDesktopPool) {
        this.newDesktopPool = newDesktopPool;
    }
    public boolean isCreateNewDatastores() {
        return createNewDatastores;
    }
    public void setCreateNewDatastores(boolean createNewDatastores) {
        this.createNewDatastores = createNewDatastores;
    }
    public String getDiskFormat() {
        return diskFormat;
    }
    public void setDiskFormat(String diskFormat) {
        this.diskFormat = diskFormat;
    }

    public DesktopPool[] getDesktopPools() {
        return desktopPools;
    }
    public void setDesktopPools(DesktopPool[] desktopPools) {
        this.desktopPools = desktopPools;
    }
    public boolean isDedicated() {
        return dedicated;
    }
    public void setDedicated(boolean dedicated) {
        this.dedicated = dedicated;
    }
    public String[] getVmdkFileNames() {
        return vmdkFileNames;
    }
    public void setVmdkFileNames(String[] vmdkFileNames) {
        this.vmdkFileNames = vmdkFileNames;
    }
    public String getControllerID() {
        return controllerID;
    }
    public void setControllerID(String controllerID) {
        this.controllerID = controllerID;
    }
    public boolean isUseVFilerContext() {
        return useVFilerContext;
    }
    public void setUseVFilerContext(boolean useVFilerContext) {
        this.useVFilerContext = useVFilerContext;
    }
    public String getvFilerContext() {
        return vFilerContext;
    }
    public void setvFilerContext(String vFilerContext) {
        this.vFilerContext = vFilerContext;
    }
    public String getAlignmentWarningMessage() {
        return alignmentWarningMessage;
    }
    public void setAlignmentWarningMessage(String alignmentWarningMessage) {
        this.alignmentWarningMessage = alignmentWarningMessage;
    }
}
