/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/virtualmachine/cloning/InventoryItem.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine.cloning;

import java.util.Date;

import com.netapp.nvpf.api.model.ModelObject;

public class InventoryItem extends ModelObject {

    private static final long serialVersionUID = 3934391713649503491L;

    private String name;
    private String mor;
    private Date creationDate;
    private InventoryItem[] children;
    private InventoryItem parent;
    private InventoryItemTypeEnum type;
    private boolean isHost;
    private Integer processors;
    
    /**
     * @return the inventoryItemType
     */
    public int getInventoryItemType() {
        return getType().getInventoryItemTypeValue();
    }
    /**
     * @param inventoryItemType the inventoryItemType to set
     */
    public void setInventoryItemType(int inventoryItemType) {
        this.setType(InventoryItemTypeEnum.getInventoryItemEnum(inventoryItemType));
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the mor
     */
    public String getMor() {
        return mor;
    }
    /**
     * @param mor the mor to set
     */
    public void setMor(String mor) {
        this.mor = mor;
    }
 
    /**
     * @return the creationDate
     */
    public Date getCreationDate() {
        return creationDate;
    }
    /**
     * @param creationDate the creationDate to set
     */
    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }
    /**
     * @return the children
     */
    public InventoryItem[] getChildren() {
        return children;
    }
    /**
     * @param children the children to set
     */
    public void setChildren(InventoryItem[] children) {
        this.children = children;
    }
    /**
     * @return the parent
     */
    public InventoryItem getParent() {
        return parent;
    }
    /**
     * @param parent the parent to set
     */
    public void setParent(InventoryItem parent) {
        this.parent = parent;
    }
    
    public InventoryItemTypeEnum getType() {
        return type;
    }
    public void setType(InventoryItemTypeEnum type) {
        this.type = type;
    }
    public boolean isHost() {
        return isHost;
    }
    public void setHost(boolean isHost) {
        this.isHost = isHost;
    }
    public Integer getProcessors() {
        return processors;
    }
    public void setProcessors(Integer processors) {
        this.processors = processors;
    }
}
