/*
 * $Id: //depot/prod/nvpf/Rinxs/src/java/com/netapp/nvpf/api/model/virtualmachine/migration/MigrationHost.java#1 $
 * 
 * Copyright (c) 2013 NetApp, Inc.
 * All rights reserved.
 * 
 */
package com.netapp.nvpf.api.model.virtualmachine.migration;

import com.netapp.nvpf.api.model.ModelObject;
import com.netapp.nvpf.api.model.datastore.Datastore;

public class MigrationHost extends ModelObject {

    private static final long serialVersionUID = 6872383651945109578L;
    
    private Datastore[] datastores;
    private boolean nfsSupported;
    private boolean iscsiSupported;
    private boolean fcpSupported;
    private boolean inMantMode = true;
    private boolean connected;
    private boolean healthy;
    private String powerState = "UNKNOWN";
    private String moref;
    private String name;

    private String version;
    private Boolean canCloneFromSnap;
    
    private Integer processors;
    
    private int maxNfsDatastores;
    private int nfsDatastoreCount;
    private int vmfsDatastoreCount;
    
    public Datastore[] getDatastores() {
        return datastores;
    }

    public void setDatastores(Datastore[] datastores) {
        this.datastores = datastores;
    }

    public boolean isNfsSupported() {
        return nfsSupported;
    }

    public boolean isHealthy() {
        return healthy;
    }

    public String getMoref() {
        return moref;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setMoref(String moref) {
        this.moref = moref;
    }

    public void setHealthy(boolean healthy) {
        this.healthy = healthy;
    }

    public void setNfsSupported(boolean nfsSupported) {
        this.nfsSupported = nfsSupported;
    }

    public boolean isIscsiSupported() {
        return iscsiSupported;
    }

    public void setIscsiSupported(boolean iscsiSupported) {
        this.iscsiSupported = iscsiSupported;
    }

    public boolean isFcpSupported() {
        return fcpSupported;
    }

    public void setFcpSupported(boolean fcpSupported) {
        this.fcpSupported = fcpSupported;
    }

    public boolean isInMantMode() {
        return inMantMode;
    }

    public void setInMantMode(boolean inMantMode) {
        this.inMantMode = inMantMode;
    }

    public boolean isConnected() {
        return connected;
    }

    public void setConnected(boolean connected) {
        this.connected = connected;
    }

    public String getPowerState() {
        return powerState;
    }

    public void setPowerState(String powerState) {
        this.powerState = powerState;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Boolean isCanCloneFromSnap() {
        return canCloneFromSnap;
    }

    public void setCanCloneFromSnap(Boolean canCloneFromSnap) {
        this.canCloneFromSnap = canCloneFromSnap;
    }

    public Integer getProcessors() {
        return processors;
    }

    public void setProcessors(Integer processors) {
        this.processors = processors;
    }

    public int getMaxNfsDatastores() {
        return maxNfsDatastores;
    }

    public void setMaxNfsDatastores(int maxNfsDatastores) {
        this.maxNfsDatastores = maxNfsDatastores;
    }

    public int getNfsDatastoreCount() {
        return nfsDatastoreCount;
    }

    public void setNfsDatastoreCount(int nfsDatastoreCount) {
        this.nfsDatastoreCount = nfsDatastoreCount;
    }

    public int getVmfsDatastoreCount() {
        return vmfsDatastoreCount;
    }

    public void setVmfsDatastoreCount(int vmfsDatastoreCount) {
        this.vmfsDatastoreCount = vmfsDatastoreCount;
    }
    

}
